2014-06-20 10:04  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, edelib/DesktopFile.h, src/Config.cpp,
	  src/DesktopFile.cpp, sslib/init-2.ss, test/desktopfile.cpp: Small
	  cosmetic changes.

2014-02-19 04:20  Sanel Zukan <karijes@users.sourceforge.net>

	* src/IconTheme.cpp, src/ts/scheme.c: Enabled searching for icons
	  when icon with exact size wasn't found. Slow, but specification
	  conformant.
	  Small format fix in scheme.c file.

2013-10-30 10:54  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/Jamfile, tools/edelib-dbus-introspect: Removing old
	  introspection tool. Replaced by more powerful
	  edelib-dbus-explorer.

2013-10-23 16:06  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.txt: Fixing
	  documentation code examples format. On startup, focus editor and
	  show cursor at the end of it.

2013-10-01 14:34  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Reimplemented 'for' to have single assignment.

2013-06-13 12:56  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Jamfile: Fixed annoyed issue where
	  Help.h would be generated in edelib source folder. Also it will
	  force now Help.h
	  be generated before compilatio starts, which wasn't the case
	  before.

2013-05-15 12:09  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss,
	  test/scheme/tiny-clos/tiny-clos.scm: format now correctly escapes
	  ~ char. Tests added.

2013-03-09 17:03  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Removig tabs...

2013-03-09 14:18  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss: Added simple format and
	  tests.

2013-03-04 23:20  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Netwm.h, src/Netwm.cpp: Some code formatting. Added
	  netwm_window_set_strut_partial(), designated for setting partial
	  strut.

2013-02-26 10:44  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ts/scheme.c: Fixed coredump at exit, due unset filename when
	  SHOW_ERROR_LINE was set to 1

2013-02-15 20:02  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/Jamfile: Try to not install folder that should be generated
	  by doxygen.

2013-02-15 19:54  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/Jamfile: Be silent if doxygen is missing.

2013-01-26 21:34  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-convert-icontheme, tools/edelib-mk-indextheme: Made
	  it python 3.x clean.

2013-01-18 02:25  Sanel Zukan <karijes@users.sourceforge.net>

	* src/IconTheme.cpp: Replacing stringtok() with strtok_r().

2013-01-09 12:54  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ts/scheme.c: Patched so SHOW_ERROR_LINE works only on file
	  types. The patch was done by Richard Copley and put it on
	  tinyscheme mailing list.

2013-01-09 11:27  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Scheme.h, src/Theme.cpp, src/ts/scheme.c: Let theme loader
	  report filename if there is some error. Also added
	  edelib_scheme_load_named_file() alias.

2013-01-09 09:32  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Jamfile: Fixed the way how Help.h is
	  generated.

2013-01-09 09:09  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Netwm.cpp: Fixing another warning on opensolaris...

2013-01-09 09:08  Sanel Zukan <karijes@users.sourceforge.net>

	* src/FontCache.cpp: Fixing warnings on opensolaris gcc 3.4.3

2013-01-08 14:58  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/ExpandableGroup.h, src/ExpandableGroup.cpp,
	  src/IconChooser.cpp: Changes in ExpandableGroup and bufix for
	  IconChooser.
	  
	  ExpandableGroup now can read Fl::scrollbar_size(), a globally set
	  scrollbar width (added since FLTK 1.1.10).
	  IconChooser got some optimizations and fix where selected icon
	  would not be returned when OK button was clicked. Now, beside
	  this fix, highlight for currently selected icon also works.

2013-01-08 13:45  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib.supp: Adding valgrind suppression file.

2013-01-05 03:18  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Run.h, src/Run.cpp: Cleaning up deprecated stuff. Added
	  run_async_with_pid(), where child PID will be reported.

2013-01-04 20:17  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Jamfile: Fix so jam can find Help.h
	  file.

2013-01-04 16:13  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/cpp-varargs.m4: Added missing option for testing.

2013-01-04 16:11  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, m4/cpp-varargs.m4: Check if gcc supports
	  -Wno-variadic-macros option.

2013-01-04 15:28  Sanel Zukan <karijes@users.sourceforge.net>

	* examples/theme.cpp, src/FontChooser.cpp: Use explicit conversion
	  from int to Fl_Font: older gcc's doesn't like it implicitly.
	  Also, replaced printf with E_DEBUG in theme example.

2013-01-04 13:09  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Better description what to do next.

2013-01-04 10:04  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ThemeLoader.cpp: Comment update, small style fix.

2013-01-03 22:39  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Trim ending spaces.

2013-01-03 22:22  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Commenting out timing functions.

2013-01-03 22:11  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Netwm.h, src/Netwm.cpp, src/Scheme.cpp,
	  tools/edelib-script/edelib-script.cpp: Small cleanup in
	  edelib-script. Also added netwm_window_get_all_states() and
	  netwm_window_have_state() to check if window has one of known
	  states.

2012-12-29 21:51  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Moving function declarations from defun to
	  define, explicitly adding documentation. This would speed up the
	  startup a little bit. Macro system needs a little bit more
	  work...

2012-12-27 15:30  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: There is no such thing as 'jam help' ;)

2012-12-27 15:29  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/jam/execunix.c: Preventing coredump on Minix.

2012-12-27 14:42  Sanel Zukan <karijes@users.sourceforge.net>

	* pc/Jamfile: Adding missing Jamfile.

2012-12-27 14:20  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/jam: Copying jam to edelib tools folder.

2012-12-27 14:01  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, configure.in, edelib-dbus.pc.in,
	  edelib-gui-no-images.pc.in, edelib-gui.pc.in, edelib.pc.in, pc,
	  pc/edelib-dbus.pc.in, pc/edelib-gui-no-images.pc.in,
	  pc/edelib-gui.pc.in, pc/edelib.pc.in: Moving pkg-config files in
	  'pc' folder.

2012-12-27 11:45  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Directory.cpp, src/IconChooser.cpp: Optimizing dir_list() and
	  small cleanup in Directly.cpp file.

2012-12-26 01:52  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/IconChooser.h, examples/icon_chooser.cpp,
	  fl/icon_chooser.fl, src/IconChooser.cpp: Redone IconChooser.
	  
	  UI redesigned a little bit, removing unused input box and setting
	  'Browse' to allow user directly browsing icon file. Also, the
	  chooser can return only basename which is useful for using icon
	  from icon theme or full path to either icon themed icon or
	  targeted icon outside theme.

2012-12-24 17:52  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss: Added juxt function with
	  tests.

2012-12-21 19:58  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss: Removing let2, let3, let4
	  and let5 construct so we can focus on let1 and letn optimizations
	  and usage.
	  Also, cleanup that code through init-2.ss as tinyscheme macros
	  aren't speed daemon inside another macros.

2012-12-21 13:38  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-convert-icontheme: Added support for 'rsvg-convert'
	  tool.

2012-12-13 16:12  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Scheme.h: Fixing doxygen warning.

2012-12-13 16:09  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/json.ss: Adding json module. Not tested.

2012-12-13 16:08  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, edelib/Scheme.h, edelib/ts/opdefines.h,
	  edelib/ts/scheme-private.h, edelib/ts/scheme.h, src/ts/scheme.c,
	  sslib/init.ss, test/scheme/r5rs.ss: Importing new TinyScheme
	  version (1.40). This import will (hopefully) address nasty GC bug
	  caused by calls from C/C++ side but also keep current scheme code
	  up to date with tinyscheme changes.

2012-12-13 16:05  Sanel Zukan <karijes@users.sourceforge.net>

	* src/FontChooser.cpp: Starting rewrite of FontChooser to use
	  FontCache. Not completed...

2012-12-13 16:04  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/FontCache.h, src/FontCache.cpp: Try to not register font
	  if already registered. This will prevent one font to be
	  registered under different FLTK indexes. Also adding option to
	  fetch directly FontInfo details.

2012-12-13 16:01  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Netwm.h, src/Netwm.cpp: Added option so activation message
	  can have information about setter.

2012-11-28 15:11  Sanel Zukan <karijes@users.sourceforge.net>

	* src/EdbusMessage.cpp: Write newline when warn about invalid type
	  in dict.

2012-11-20 22:36  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ts/scheme.c, sslib/init.ss: Faster append. Fixing (gcd) and
	  (lcm) to return default values (0 and 1).

2012-11-13 12:29  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ts/scheme.c: Small cleanups

2012-11-05 14:29  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Debug.h, src/Debug.c, src/Ede.cpp: API function name typo
	  fix.

2012-11-01 20:40  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Config.h, edelib/EdbusData.h, edelib/IconLoader.h,
	  edelib/IconTheme.h, edelib/Sipc.h, edelib/Theme.h, src/Run.cpp,
	  test/string.cpp: First compilation with clang ;) Luckily we got
	  only few struct/class mismatch warnings.

2012-10-23 09:34  Sanel Zukan <karijes@users.sourceforge.net>

	* test/run-all.sh: Fixing some bash-isms...

2012-10-22 15:05  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, examples/theme-sample/main.ewt, m4/dbus.m4,
	  m4/dmalloc.m4, m4/largefile.m4, m4/nls.m4, m4/notify.m4,
	  m4/shared.m4, m4/various.m4, src/ThemeLoader.cpp,
	  test/UnitTest.cpp: A bunch of changes, where the most important
	  is flag to disable RTTI and exceptions.
	  
	  ThemeLoader now needs RTTI to figure out how to update widget
	  fonts; until FLTK implements better internal RTTI support, this
	  is the only way now. So, changing theme in runtime should update
	  fonts too. Also, m4 files are changed to use AC_HELP_STRING
	  instead manually added spaces for argument.

2012-10-19 13:30  Sanel Zukan <karijes@users.sourceforge.net>

	* examples/theme.cpp, examples/theme.fl: Adding more widgets for
	  theme test.

2012-10-11 08:45  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ColorDb.cpp: Added missing file name.

2012-10-11 08:35  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ColorDb.cpp: Another possible location for rgb.txt

2012-10-11 08:30  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ColorDb.cpp, tools/Jamfile, tools/colors,
	  tools/colors/Jamfile, tools/colors/rgb.txt: Added local rgb.txt
	  distribution. On some OS-es (e.g. Minix), X11 keeps rgb.txt on
	  uncommon places.

2012-10-08 12:55  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/StrUtil.h, src/Config.cpp, src/ForeignCallback.cpp,
	  src/StrUtil.cpp, test/strutil.cpp: Adding str_hash() a function
	  for computing simple hash from given string. This function was
	  used in a couple of places through edelib with separate
	  functions,
	  so with this we unify things.

2012-09-24 18:45  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/gen-c-string.sh: Do not leave comment tags, or strange
	  thing will happen. This string is scheme source and is inlined,
	  making comments in some code part to comment the rest of string.

2012-09-24 18:08  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Jamfile: Missing FLTK cflags...

2012-09-24 15:22  Sanel Zukan <karijes@users.sourceforge.net>

	* test/theme.cpp: Prevent crash if theme wasn't successfully
	  loaded.

2012-09-19 16:44  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Directory.cpp: Patch suggested by roll3r for Minix, as Minix
	  does not have _SC_GETPW_R_SIZE_MAX defined.

2012-09-18 16:06  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Jamfile: Missed Config.h file. Sorting files...

2012-09-18 15:43  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, edelib/Jamfile: Added separate Jamfile for headers; with
	  this, DBus binding headers will not be installed, if DBus support
	  was disabled.

2012-09-18 15:11  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, doc/gendoc.ss, src/ts/scheme.c: When edelib was compiled
	  without DBus, do not install edelib-dbus.pc.
	  Changed gendoc.ss to emit doxygen header.
	  Small format in scheme.c.

2012-08-31 17:15  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ts/scheme.c: Another fix in gc, detected by turing on gc
	  verbosity (gc-verbose #t) and loading tiny-clos.scm file.

2012-08-31 12:33  Sanel Zukan <karijes@users.sourceforge.net>

	* test/scheme/edelib.ss, test/scheme/run.sh, test/scheme/sslib.ss,
	  test/scheme/tiny-clos, test/scheme/tiny-clos.ss,
	  test/scheme/tiny-clos/support.scm,
	  test/scheme/tiny-clos/tiny-clos.scm: Importing TinyCLOS source so
	  it can be used to test scheme implementation. TinyCLOS is a bit
	  'heavy' library for tinyscheme, so it is good for measuring
	  startup time. There are also some fixes with current tests.

2012-08-31 11:34  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/ts/opdefines.h, test/scheme/r5rs.ss: Fixing issue with
	  "(reverse '())", which must return '(). Added tests too.

2012-08-31 11:14  Sanel Zukan <karijes@users.sourceforge.net>

	* test/scheme/test.ss: Should be 'sec.' instead of '.sec'.

2012-08-31 11:12  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Scheme.cpp, src/ts/scheme.c, sslib/init.ss,
	  test/scheme/r5rs.ss, test/scheme/test.ss,
	  tools/edelib-dbus-explorer/ScriptDBus.cpp: Fixed odd bug with
	  (append) and added tests to verify it. Also added (edelib-clock)
	  and (edelib-clock-diff) for easier function timing. Changed
	  scheme tests to show execution time.

2012-08-29 12:23  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Entity.cpp,
	  tools/edelib-dbus-explorer/Jamfile,
	  tools/edelib-dbus-explorer/ScriptDBus.cpp,
	  tools/edelib-dbus-explorer/ScriptDBus.h,
	  tools/edelib-dbus-explorer/ScriptEditor.h,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp: Support for
	  :variant type and fix for error reports.
	  
	  :variant type is implemented in form :variant '(:type value),
	  since variants at some point must have certain types. Also
	  strange bug inside gc caused by (error) calls from C++ code was
	  eliminated simply by avoiding (error) calls. They are replaced
	  with (println). Cons of this is how error reporting is not
	  uniform, but to allow this, (error) and gc needs brief
	  inspection.
	  
	  edelib-dbus-explorer also uses edelib::Window.

2012-08-29 07:57  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusConnection.h, edelib/EdbusMessage.h,
	  src/EdbusMessage.cpp, tools/edelib-dbus-explorer/Entity.cpp,
	  tools/edelib-dbus-explorer/Entity.h,
	  tools/edelib-dbus-explorer/ObjectTree.cpp: A bugfix for
	  EdbusMessage and docstring support inside edelib-dbus-explorer.
	  
	  Due moving EdbusMessage constructors to EdbusMessage.h file, I
	  forgot to add default initialization of internal data to NULL,
	  for EdbusMessage constructor with DBusMessage argument. This
	  cause odd crashes inside libdbus library, mainly since it would
	  operate on invalid DBusMessage pointers.
	  
	  edelib-dbus-explorer now can read DocString annotations: these
	  are introduced by eggdbus and gdbus so why not reuse it ;)
	  Since annotations can have different prefixes for names (e.g.
	  org.equinoxproject.DBus.DocString or org.gtk.DBus.DocString),
	  edelib-dbus-explorer will rely only on DocString suffix, so other
	  namespaces can be read.
	  
	  With this feature, tooltip showing method prototype, will show
	  docstring too.

2012-08-28 12:18  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss: 'zip' function with tests
	  added.

2012-08-28 12:17  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp: Do not
	  evaluate when the string is empty. Also, added 'Save' menu
	  option.

2012-08-28 08:39  Sanel Zukan <karijes@users.sourceforge.net>

	* test/scheme/edelib.ss, test/scheme/sslib.ss: Named each test.

2012-08-27 14:55  Sanel Zukan <karijes@users.sourceforge.net>

	* test/scheme/run.sh, test/scheme/test.ss: Cleaning a testing
	  framework a bit. Making output looks like output from UnitTest.

2012-08-27 13:41  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ThemeLoader.cpp: Fixed small logic error :S

2012-08-27 13:37  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusIntrospection.h, src/EdbusIntrospection.cpp,
	  src/Jamfile: Removing introspection code for DBus. Incomplete...

2012-08-24 14:49  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/ObjectTree.cpp,
	  tools/edelib-dbus-explorer/ScriptDBus.cpp,
	  tools/edelib-dbus-explorer/ScriptDBus.h,
	  tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp: Small fix
	  and few new DBus scheme functions.
	  
	  FLTK_MAJOR & FLTK_MINOR was a product of long working night;
	  replaced with FL_MAJOR_VERSION & FL_MINOR_VERSION.
	  Added few useful scheme functions: dbus-property-list,
	  dbus-property-set and dbus-property-get.

2012-08-24 14:13  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Netwm.h, src/Netwm.cpp: Support for fetching desried icon
	  size if application provides multiple icons.

2012-08-23 02:10  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in, m4/fltk.m4, src/MenuTooltip.cpp,
	  src/ThemeLoader.cpp, tools/edelib-dbus-explorer/Jamfile,
	  tools/edelib-dbus-explorer/ObjectTree.cpp,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp,
	  tools/edelib-dbus-explorer/missing,
	  tools/edelib-dbus-explorer/missing/FL,
	  tools/edelib-dbus-explorer/missing/FL/Fl_Tree.H,
	  tools/edelib-dbus-explorer/missing/FL/Fl_Tree_Item.H,
	  tools/edelib-dbus-explorer/missing/FL/Fl_Tree_Item_Array.H,
	  tools/edelib-dbus-explorer/missing/FL/Fl_Tree_Prefs.H,
	  tools/edelib-dbus-explorer/missing/Fl_Tree.cpp,
	  tools/edelib-dbus-explorer/missing/Fl_Tree_Item.cpp,
	  tools/edelib-dbus-explorer/missing/Fl_Tree_Item_Array.cpp,
	  tools/edelib-dbus-explorer/missing/Fl_Tree_Prefs.cpp: A lot of
	  tiny changes to be again compileable on FLTK 1.1.7. Importing
	  Fl_Tree so edelib-dbus-explorer can be compiled on FLTK <=
	  1.1.10, as Fl_Tree exists from 1.3.0.

2012-08-22 23:32  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.txt: Updated
	  help. Made program version and label easy change-able.

2012-08-22 22:08  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/Doxyfile.in, edelib/EdbusMessage.h, src/EdbusMessage.cpp:
	  Added support for decoding double type from dbus message (don't
	  know how I manage to forget this :S). Also cleaned some obsolete
	  doxygen variables and moving empty EdbusMessage constructors to
	  EdbusMessage.h file.

2012-08-22 21:36  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusIntrospection.h: Obsolete code.

2012-08-22 21:34  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, tools/edelib-dbus-explorer/ScriptEditor.cpp: Removing
	  some testing code inside Jamfile. Assure scheme output buffer
	  have good bounds.

2012-08-22 21:09  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/AnimateBox.h, edelib/EdbusError.h,
	  edelib/EdbusIntrospection.h, edelib/Ede.h, edelib/FontCache.h,
	  edelib/IconLoader.h, edelib/MenuTooltip.h, edelib/SchemeEditor.h,
	  edelib/TempFile.h, edelib/Theme.h, edelib/ThemeLoader.h: Added
	  missing EDELIB_API macro.

2012-08-22 13:20  Sanel Zukan <karijes@users.sourceforge.net>

	* src/SchemeEditor.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.cpp: Use default
	  selection color in SchemeEditor.cpp, but set edelib-dbus-explorer
	  specific selection color.

2012-08-22 13:18  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, edelib/EdbusError.h, edelib/EdbusIntrospection.h,
	  edelib/SchemeEditor.h, edelib/String.h, src/EdbusConnection.cpp,
	  src/EdbusIntrospection.cpp, src/Jamfile, src/SchemeEditor.cpp:
	  Cleanup and importing dbus introspection code. Not completed yet.

2012-08-21 16:16  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Jamfile: Correctly generate Help.h,
	  even if compiled from edelib root

2012-08-21 16:09  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Jamfile,
	  tools/edelib-dbus-explorer/ScriptDBus.cpp,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.txt,
	  tools/edelib-dbus-explorer/gen-help.sh: Generate documentation
	  string from .txt file.

2012-08-21 14:42  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/ScriptDBus.cpp,
	  tools/edelib-dbus-explorer/ScriptDBus.h,
	  tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.h: Added inline help and
	  ability (which is now default) to display results at evaluation
	  point, instead appending them to buffer.

2012-08-15 16:20  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ts/scheme.c, tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.h: Do not print leading
	  space when constructing vector output.

2012-08-15 14:06  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Entity.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.ss: Removed
	  edelib-dbus-explorer.ss as dbus-call macro is hardcoded as
	  string. Also fixed a small space issue when there are no
	  arguments.

2012-08-15 13:49  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.h,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp: Adding a
	  bunch of menu options, plus evaluation without explicit printing
	  and macro expansion.

2012-08-15 12:58  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/ObjectTree.cpp,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp: s/dbus/DBus
	  in error report. Implemented 'Describe' menu option.

2012-08-15 12:46  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Entity.cpp,
	  tools/edelib-dbus-explorer/ScriptDBus.cpp: Fixed some missing
	  space for generated scheme code. Fixed how key/value pair is
	  generated when we got dictionary.

2012-08-15 12:03  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Entity.cpp,
	  tools/edelib-dbus-explorer/ScriptDBus.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.ss: Fix odd crash
	  in gc and more readable dbus-call.
	  
	  The crash would occur when was called some dbus binding function,
	  but without created dbus connections; something bad
	  would happen inside interpreter gc, where free() would get bad
	  pointer. Needs more investigation.
	  
	  dbus-call now, thanks to macros don't need arguments grouped
	  inside list. The real method call is now dbus-call-raw. Arguments
	  can be used as in CL or Clojure, like:
	  
	  (dbus-call ... :int32 1 :int16 2 ...)

2012-08-14 16:18  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Entity.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.h,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.ss: Introducing
	  customization file 'edelib-dbus-explorer.ss'. Also added shortcut
	  (Shift + Tab), so
	  can be easily iterated between template words.

2012-08-14 15:41  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Default.h,
	  tools/edelib-dbus-explorer/Entity.cpp,
	  tools/edelib-dbus-explorer/Entity.h,
	  tools/edelib-dbus-explorer/ObjectTree.cpp,
	  tools/edelib-dbus-explorer/ScriptDBus.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.h: 'Send to editor' now
	  works for DBus method calls. Implemented sending calls with
	  arguments and writing those arguments as scheme code.

2012-08-14 09:36  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, edelib/EdbusData.h,
	  tools/edelib-dbus-explorer/ScriptDBus.cpp,
	  tools/edelib-dbus-introspect/edelib-dbus-introspect.cpp: Small
	  decoration fixed in Jamrules. Implemented support for all dbus
	  types as return values for dbus-call function.

2012-08-13 12:55  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Entity.cpp,
	  tools/edelib-dbus-explorer/ScriptDBus.cpp: Work on calling DBus
	  methods.

2012-08-10 21:09  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/ObjectTree.cpp,
	  tools/edelib-dbus-explorer/ScriptDBus.cpp: Fixed small error for
	  calling dbus signals. Introducing type system for dbus method
	  calls. Containers are not implemented yet.

2012-08-10 15:57  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Entity.cpp,
	  tools/edelib-dbus-explorer/Entity.h,
	  tools/edelib-dbus-explorer/Jamfile,
	  tools/edelib-dbus-explorer/ObjectTree.cpp,
	  tools/edelib-dbus-explorer/ObjectTree.h,
	  tools/edelib-dbus-explorer/ScriptDBus.cpp,
	  tools/edelib-dbus-explorer/ScriptDBus.h,
	  tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.h,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp: Facility for
	  writing code inside editor. DBus binding not yet completed.

2012-08-10 13:01  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusConnection.h, src/EdbusConnection.cpp: Added
	  connected() member to check if current connection is alive.

2012-08-09 21:58  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/ObjectTree.cpp: Associated created
	  entity with the node it belongs. Also, added callback on node
	  selection.

2012-08-09 15:19  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Entity.cpp,
	  tools/edelib-dbus-explorer/Entity.h,
	  tools/edelib-dbus-explorer/Jamfile,
	  tools/edelib-dbus-explorer/ObjectTree.cpp,
	  tools/edelib-dbus-explorer/ObjectTree.h,
	  tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp: Pick
	  arguments inside entity object, which is holder for method,
	  signal or property. Also have ability to show readable args and
	  params.

2012-08-09 09:44  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/ObjectTree.cpp,
	  tools/edelib-dbus-explorer/content.ss,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp: Removed
	  'content.ss' as it was wronly commited. Continuing work...

2012-08-08 21:34  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-dbus-explorer/Jamfile,
	  tools/edelib-dbus-explorer/ObjectTree.cpp,
	  tools/edelib-dbus-explorer/ObjectTree.h,
	  tools/edelib-dbus-explorer/content.ss,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp,
	  tools/edelib-dbus-explorer/icons.h: Now
	  methods/signals/properties can be queried; there are icons for
	  better visibility, improving editor and more...

2012-08-08 14:41  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/PtyProcess.h, src/EdbusConnection.cpp, tools/Jamfile,
	  tools/edelib-dbus-explorer, tools/edelib-dbus-explorer/Jamfile,
	  tools/edelib-dbus-explorer/ScriptEditor.cpp,
	  tools/edelib-dbus-explorer/ScriptEditor.h,
	  tools/edelib-dbus-explorer/edelib-dbus-explorer.cpp,
	  tools/edelib-dbus-explorer/ui.fl: Importing new UI tool for
	  exploring DBus. Small fixes inside EdbusConnection.
	  
	  EdbusConnection would crash application if we call disconnect()
	  before connect(). This commit assures if disconnect() was called
	  before, nothing will happen.
	  
	  edelib-dbus-explorer is new extensible tool for exploring DBus.
	  For now, it comes with embedded scheme repl and fetcher for dbus
	  services. Remaining things
	  are getting per-service methods and scheme binding for dbus
	  calls.

2012-08-08 11:31  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, sslib/lazy.ss: Added 'second' and ironed a bit
	  'first' and 'rest'. Also 'doc' now can accept symbol, beside a
	  string value, so "(doc 'foo)" is also valid.

2012-08-07 09:49  Sanel Zukan <karijes@users.sourceforge.net>

	* src/IconTheme.cpp: Final stage of lookup for icon theme, but for
	  now is commented.
	  
	  The final stage should search for any icon that matches the name,
	  no matter what size it is. This can be slow, so
	  keeping things commented for now.

2012-08-06 11:34  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/lazy.ss: Importing new functions with lazy behavior.

2012-08-02 11:54  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Fixing tiny issue when with function definition
	  without docstrings.

2012-08-02 08:57  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss: Added repeatedly function
	  with tests.

2012-07-29 00:28  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Scheme.h: Fixed the order of function name and the
	  pointer.

2012-07-27 12:41  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, src/SchemeEditor.cpp, src/ts/scheme.c: Editor and
	  reporting enhacements.
	  
	  Editor will now indent code like Fluid does; each manual
	  indentation level will be remembered and used after enter. Fixed
	  error output inside scheme interpreter and 'jam test' will
	  run-all.sh script now.

2012-07-24 07:45  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Reimplemented drop, partition and take to
	  prevent adding random element when recursion completes.

2012-07-23 12:44  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Scheme.h: Added missing functions for calling scheme
	  functions with and without arguments.

2012-06-07 11:30  Sanel Zukan <karijes@users.sourceforge.net>

	* test/UnitTest.h, test/desktopfile.cpp, test/file.cpp: Fedora is
	  moved core utils (ls, mkdir...) from /bin to /usr/bin. Updating
	  tests.

2012-06-07 09:25  Sanel Zukan <karijes@users.sourceforge.net>

	* src/MenuItem.cpp, src/MenuTooltip.cpp: Corrected tooltip
	  location.
	  
	  Previously, MenuTooltip would use same layout() content as
	  Fl_Tooltip, yielding messed location
	  where tooltip window was shown. Fl_Tooltip does a little bit of
	  smartery to locate correct position for
	  tooltip window, which isn't much of use for menu items. Now,
	  MenuTooltip will use plain x/y mouse coordinates
	  to determine location.

2012-06-06 14:38  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/MenuItem.h: Added simple static initialized.
	  
	  MenuItem (inherited from Fl_Menu_Item design) can't have
	  constructor (due initializer created by fluid, unless c++11 was
	  used),
	  and any extension must be explicitly zeroed. This is now done
	  with MenuItem::init_extensions(), which will for now zero menu
	  icons
	  and tooltips.

2012-06-06 08:52  Sanel Zukan <karijes@users.sourceforge.net>

	* src/IconTheme.cpp: Address #185 issue.
	  
	  Icon, when not found inside icon theme will be reported as
	  missing. This fix will search named icon in folders where icon
	  theme
	  is searched, as is noted by the spec. This commit will add
	  support for recognizing icons with given extension.

2012-06-05 14:19  Sanel Zukan <karijes@users.sourceforge.net>

	* Makefile.am: Adding required files to Makefile.am too.

2012-06-05 14:16  Sanel Zukan <karijes@users.sourceforge.net>

	* autogen.sh, edelib/MenuItem.h, edelib/MenuTooltip.h,
	  examples/menu.cpp, src/Jamfile, src/MenuItem.cpp,
	  src/MenuTooltip.cpp: Tooltip support inside menus.
	  
	  MenuItem now has new member (tooltip()) which is used to have per
	  item tooltip. This resulted adding MenuTooltip class, which
	  behaves almost exactly as Fl_Tooltip, except it will not use grab
	  check. This grab check was the main reason why Fl_Tooltip will
	  not work with menu windows.

2012-06-04 13:07  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/demo.ss: Test file accidentally commited.

2012-05-25 14:24  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, autogen.sh, autogen.sh.make, configure.in,
	  edelib/edelib-global.h, src/DateTime.cpp, src/DirWatch.cpp,
	  src/DirWatchFam.cpp, src/EdbusConnection.cpp,
	  src/IconChooser.cpp, src/Missing.c, src/Pty.cpp, src/Window.cpp:
	  Use config.h for standard configuration compile macros instead of
	  _conf.h.
	  
	  All config.h specific code is wrapped inside HAVE_CONFIG_H so all
	  the code use the same convention (including builtin xdgmime).
	  Also, cleaned some leftovers in autogen.sh.

2012-05-25 10:03  Sanel Zukan <karijes@users.sourceforge.net>

	* autogen.sh, autogen.sh.jam, autogen.sh.make, configure.in,
	  configure.in.jam, configure.in.make: Reverting to old defaults.
	  Autotools needs more investigation

2012-05-25 09:59  Sanel Zukan <karijes@users.sourceforge.net>

	* Makefile.am: Adding missing libraries

2012-05-25 09:13  Sanel Zukan <karijes@users.sourceforge.net>

	* Makefile.am, autogen.sh, autogen.sh.jam, configure.in,
	  configure.in.jam, src/Missing.c: Allow edelib to be built with
	  autotools (by default). Sadly, at some point, jam will/could be
	  retired :(

2012-05-23 13:28  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Alternative implementation of core functions

2012-05-21 11:28  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Mark current code as next version.

2012-05-18 10:40  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss: Added Clojure-like 'doto'
	  macro. list->string and vector->string renamed to list-as-string
	  and vector-as-string.

2012-05-17 14:19  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-convert-icontheme: Added 128x128 sizes.

2012-05-17 09:39  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules: Make symbolic links of installed .so files.

2012-05-15 13:23  Sanel Zukan <karijes@users.sourceforge.net>

	* examples/Jamfile, examples/script_editor.cpp,
	  src/SchemeEditor.cpp: Added missing headers and improving fltk
	  1.1.x compatibility. Also made some examples compileable.

2012-05-15 13:18  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Netwm.cpp, src/SchemeEditor.cpp: Adding missing header. Fixed
	  fltk 1.1.x and 1.3 incopatibility.
	  
	  'free()' requires stdlib.h which is somehow impliclitly included
	  in stdio.h on Linux.
	  
	  Fl_Text_Buffer added char_at() on 1.3 due utf8 support. Added
	  small emulation for older FLTK versions.

2012-05-15 13:03  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Scheme.cpp: PATH_MAX on FreeBSD is not visible unles limits.h
	  was given

2012-05-15 12:52  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusDict.h: Fixed documentation content.

2012-05-08 11:17  Sanel Zukan <karijes@users.sourceforge.net>

	* examples/script_editor.cpp: Added (quit) explaination. Some code
	  reorder

2012-05-07 12:25  Sanel Zukan <karijes@users.sourceforge.net>

	* src/FontCache.cpp: Check if input was only number and fail then.
	  This will prevent returning possible junk.

2012-05-07 08:25  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Theme.h, src/Theme.cpp, sslib/init-2.ss: Allow access to
	  theme interpreter. Added letn

2012-04-27 12:49  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, sslib/init.ss: eval-string and with-input-string

2012-04-27 00:31  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: list->string && vector->string

2012-04-26 23:49  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/gendoc.ss: Simple html generator from doc strings.

2012-04-26 21:30  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/Doxyfile.in, sslib/init-2.ss: Updating example path inside
	  Doxyfile.in. Fixing sorting function in init-2.ss

2012-04-26 08:30  Sanel Zukan <karijes@users.sourceforge.net>

	* src/IconChooser.cpp: Let chooser dialog be modal.

2012-04-25 15:39  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Config.h, src/Config.cpp: Updated docs for save(). Fix
	  permissions renamed file

2012-04-24 19:26  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/Theming.dox, src/ThemeLoader.cpp: Updating Theming.dox.
	  Changing 'scroll_width' to 'scrollbar_width' as scrollbar width
	  setter theme variable.

2012-04-24 13:06  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Small code formatting

2012-04-24 10:49  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Debug.c, src/ts/scheme.c, test/scheme/sslib.ss: integer->char
	  crash fix with some test. Also supporting > 127 chars (they would
	  be converted to octal values as guile does), but reader still
	  does not support > #\127 values (e.g. #\200).

2012-04-19 13:51  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Ede.h, src/Debug.c, src/Ede.cpp: Log to syslog when env
	  EDE_SYSLOG_ENABLE was given

2012-04-19 11:40  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Netwm.cpp: Rewrote netwm_workspace_get_names() to explicitly
	  get UTF8_STRING type property. This will hopefuly get correct
	  names now.

2012-04-17 21:51  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ts/scheme.c: Formatting

2012-04-17 19:27  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: empty? function added

2012-04-15 15:26  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/List.h, edelib/Scheme.h, test/list.cpp: Updating docs for
	  Scheme.h.
	  Added -> operator inside 'list' with tests.

2012-04-15 14:26  Sanel Zukan <karijes@users.sourceforge.net>

	* src/SchemeEditor.cpp: Updating copyright

2012-04-15 14:24  Sanel Zukan <karijes@users.sourceforge.net>

	* examples/script_editor.cpp, src/SchemeEditor.cpp: Allow C-j to be
	  executed on highlighted text. Also correctly highlight last
	  matched parenthesis.

2012-04-14 11:36  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, examples/script_editor.cpp, src/Scheme.cpp: If not
	  given EDELIB_SCHEME_INIT, try to load init files from default
	  location.

2012-04-13 12:56  Sanel Zukan <karijes@users.sourceforge.net>

	* examples/script_editor.cpp, src/Scheme.cpp, src/SchemeEditor.cpp,
	  src/ts/scheme.c, sslib/init-2.ss: Prevent interpreter crashing if
	  input/output ports are not given. Adding also some readable
	  colors in script_editor. Also added (shuffle) function.

2012-04-13 10:46  Sanel Zukan <karijes@users.sourceforge.net>

	* src/SchemeEditor.cpp, tools/Jamfile, tools/edelib-script/Jamfile:
	  Fixing bug in SchemeEditor.cpp. Updating build scripts or shared
	  library case

2012-04-13 09:26  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/SchemeEditor.h, examples/Jamfile,
	  examples/script_editor.cpp, m4/dmalloc.m4, src/Jamfile,
	  src/SchemeEditor.cpp: Added missing dmalloc.m4. New SchemeEditor
	  component with example

2012-04-11 21:23  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Netwm.cpp, sslib/Jamfile: Install files for edelib-script

2012-04-09 12:32  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Netwm.h, src/Netwm.cpp: netwm_window_remove_strut added

2012-04-07 11:51  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Ede.h, src/Ede.cpp: Missing file...

2012-04-06 14:45  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/AnimateBox.h, edelib/Ede.h, examples/Jamfile,
	  examples/animate.cpp, examples/animate.fl, examples/images,
	  examples/images/an01.png, examples/images/an02.png,
	  examples/images/an03.png, examples/images/an04.png,
	  examples/images/an11.png, examples/images/an12.png,
	  src/AnimateBox.cpp, src/Jamfile: Support for animating images and
	  icons. Also providing example.

2012-04-04 11:30  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Scheme.h, src/Theme.cpp: Updated docs for
	  edelib_scheme_init() and added edelib_scheme_init_raw(), which
	  will not load bootstrap code. Theme now uses
	  edelib_scheme_init_raw.

2012-04-03 12:26  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/Doxyfile.in, edelib/TableBase.h, edelib/TiXml.h: Fixed
	  doxygen warnings

2012-04-03 11:48  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, Jamfile, Jamrules, configure.in, edelib/Scheme.h,
	  sslib/Jamfile, tools/edelib-script/Jamfile: Support to compile
	  edelib with dmalloc; for now I'm getting crashes all over the
	  place. Also on 'jam distclean' clean generated files inside sslib
	  folder.

2012-04-03 09:50  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss: replace-all with tests

2012-04-02 10:28  Sanel Zukan <karijes@users.sourceforge.net>

	* test/scheme/run.sh: Added path to theme code as edelib.ss tests
	  theming syntax

2012-04-01 20:12  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Formatting fix

2012-04-01 19:59  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Scheme.cpp: Notify when EDELIB_SCHEME_INIT wasn't set.

2012-04-01 16:06  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Much better support for infix syntax.

2012-03-22 22:37  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init.ss: Missing IO functions

2012-03-22 13:23  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Adding 'lazy' function; we can now be lazy! :D

2012-03-19 15:42  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init.ss: Reimplementing 'map' and 'for-each' to use simple
	  (and faster) variants when is only single list given. Also,
	  for-each
	  will not construct list any more, making it better for 'for' loop
	  macro and other cases when return value is not needed.

2012-03-19 14:58  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Scheme.cpp, src/ts/scheme.c, test/scheme/run.sh,
	  tools/edelib-script/edelib-script.cpp: Pick EDELIB_SCHEME_INIT
	  and execute first argument as file, if given on edelib-script.

2012-03-19 13:33  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: compose function

2012-03-19 12:03  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Scheme.h, src/Jamfile, src/Scheme.cpp, tools/Jamfile,
	  tools/edelib-script, tools/edelib-script/Jamfile,
	  tools/edelib-script/edelib-script.cpp, tools/edelib-theme-script:
	  Dumping edelib-theme-script; adding edelib-script as replacement.

2012-03-18 20:54  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: memoize implementation

2012-03-16 13:32  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss: flatten and partition with
	  tests

2012-03-16 10:17  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss: drop implementation with
	  tests

2012-03-16 09:46  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss: 'take' with tests

2012-03-11 13:37  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ts/scheme.c: Some code formatting...

2012-03-06 12:12  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: fold-left and fold-right. Fixing ->> and -> so
	  they can accept only function names, which will
	  in turn be list-ed and called as function.

2012-03-06 09:45  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ts/scheme.c: Indenting code

2012-03-06 09:14  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: when-not added

2012-02-28 21:36  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/sslib.ss: Thrush macros with tests

2012-02-12 13:17  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss, test/scheme/run.sh, test/scheme/sslib.ss: Added
	  tests for scheme extensions

2012-02-02 15:29  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Scheme.h: Working on doxygen docs

2012-02-02 15:26  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Simple formating

2012-02-02 15:22  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/include.ss, sslib/init-2.ss: Dumping separate file for
	  'include' faciltiy; things are now in init-2.ss

2012-02-02 12:17  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/demo.ss, sslib/doc.ss, sslib/init-2.ss: Merging doc system
	  inside init-2.ss

2012-02-02 12:09  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: if-not macro. Fixing missing paren in for
	  docstring

2012-01-26 21:47  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Better infix converter

2011-12-07 14:20  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: Use for-each instead of map.

2011-12-07 14:09  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init-2.ss: defun do the same job

2011-12-07 12:49  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Scheme.h: Some docs update

2011-12-07 12:27  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Scheme.h: Expose rest of tinyscheme interface

2011-12-04 00:05  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Scheme.h, src/Theme.cpp: Updated Theme.cpp to Scheme.h
	  interface. Some docs in Scheme.h updates.

2011-12-03 21:02  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, configure.in, src/Theme.cpp, src/ts/gen-c-string.sh,
	  src/ts/init.scm, src/ts/init_scm.h, src/ts/theme.scm,
	  src/ts/theme_scm.h, sslib/gen-c-string.sh: Use generated strings
	  from sslib directory

2011-12-03 18:38  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/ts/opdefines.h, src/Jamfile, src/Theme.cpp,
	  src/ts/opdefines.h, src/ts/scheme.c: Adopting rest of files
	  affected by change.

2011-12-03 18:24  Sanel Zukan <karijes@users.sourceforge.net>

	* src/tinyscheme: svn got confused...

2011-12-03 18:22  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ts, src/ts/scheme-private.h, src/ts/scheme.c,
	  src/ts/scheme.h: Renaming

2011-12-03 18:18  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Scheme.h, edelib/ts, edelib/ts/scheme-private.h,
	  edelib/ts/scheme.h, src/tinyscheme/scheme-private.h,
	  src/tinyscheme/scheme.h: Making scheme interface public.

2011-11-28 17:02  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Sipc.cpp: Removing obsolete lines

2011-11-28 16:46  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/demo.ss, sslib/init-2.ss, sslib/loops.ss: Moving loops
	  inside init-2.ss file

2011-11-28 13:04  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/doc.ss, sslib/include.ss, sslib/init-2.ss, sslib/init.ss:
	  defvar and some small refactoring

2011-11-26 11:17  Sanel Zukan <karijes@users.sourceforge.net>

	* src/tinyscheme/while.scm: Removing...

2011-11-26 11:09  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/loops.ss: Removed test code

2011-11-26 11:08  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib/init.ss: Some cleanup

2011-11-25 16:42  Sanel Zukan <karijes@users.sourceforge.net>

	* sslib, sslib/demo.ss, sslib/doc.ss, sslib/include.ss,
	  sslib/init-2.ss, sslib/init.ss, sslib/loops.ss, sslib/theme.ss,
	  tools/edelib-theme-script/baz.ss,
	  tools/edelib-theme-script/gen.ss,
	  tools/edelib-theme-script/yasos.ss: Some test code

2011-11-22 10:16  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-theme-script/Jamfile: Make it compileable with
	  shared library

2011-11-21 13:32  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile: Install it.

2011-11-21 13:22  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, configure.in, edelib-gui-no-images.pc.in,
	  edelib-gui.pc.in: Simplify pkg-config usage (and make it more
	  standard). Now edelib GUI apps can be compiled
	  with 'pkg-config edelib-gui --cflags --libs' flags, instead
	  explicitly using 'fltk-config'. Also added
	  edelib-gui-no-images.pc.in, that should provide flags and
	  libraries without images.

2011-11-21 01:26  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Netwm.h, tools/edelib-theme-script/foo.ss: Documentation
	  typo fix. Some playground update

2011-11-13 12:12  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/FontCache.h, src/FontCache.cpp,
	  tools/edelib-update-font-cache/edelib-update-font-cache.cpp:
	  Support for iterating sorted font list.

2011-11-11 22:51  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/FontCache.h: Some docs update

2011-11-10 22:26  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/FontCache.h, src/FontCache.cpp,
	  tools/edelib-update-font-cache/edelib-update-font-cache.cpp:
	  Added count() to return number of cached fonts. The same
	  implemented in edelib-update-font-cache tool

2011-11-10 20:50  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/xlib.m4: Xlibs use long long which cause error with -pedantic
	  option in C++

2011-11-10 15:26  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Check for unsetenv

2011-11-10 10:24  Sanel Zukan <karijes@users.sourceforge.net>

	* test/util.cpp: Test range, as seems that edelib_unsetenv local
	  implementation does not works correctly on latest FreeBSD.

2011-11-10 09:56  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-update-font-cache/Jamfile: Use FLTK_CFLAGS

2011-11-10 09:16  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/FontCache.h, src/FontCache.cpp,
	  tools/edelib-update-font-cache/edelib-update-font-cache.cpp:
	  FontCache::for_each_font added. Also option '-l'/'--list' for
	  edelib-update-font-cache.
	  
	  Added fix by anonymous to compile on TinyCore Linux.

2011-11-09 16:10  Sanel Zukan <karijes@users.sourceforge.net>

	* src/FontCache.cpp: Conversion fix

2011-11-09 16:05  Sanel Zukan <karijes@users.sourceforge.net>

	* examples/theme-sample/main.ewt, src/ThemeLoader.cpp: Allow themes
	  to read normal font names from font cache

2011-11-09 10:18  Sanel Zukan <karijes@users.sourceforge.net>

	* src/FontCache.cpp: Ignore font name case

2011-11-09 09:58  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/FontCache.h, src/FontCache.cpp: Allow defalt behavior

2011-11-09 09:29  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/FontCache.h, src/FontCache.cpp: Added clear().

2011-11-08 23:57  Sanel Zukan <karijes@users.sourceforge.net>

	* src/FontCache.cpp,
	  tools/edelib-update-font-cache/edelib-update-font-cache.cpp: Let
	  init_db() returns number of stored fonts. Display that number
	  after caching was completed from edelib-update-font-cache

2011-11-08 23:48  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/Jamfile, tools/edelib-update-font-cache,
	  tools/edelib-update-font-cache/Jamfile,
	  tools/edelib-update-font-cache/edelib-update-font-cache.cpp: Tool
	  for updating font cache

2011-11-08 23:22  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/FontCache.h, src/FontCache.cpp: Rework of FontCache

2011-11-08 16:56  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/FontChooser.h, src/FontCache.cpp: Better way for static
	  storage of font names

2011-11-08 14:25  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/FontCache.h, src/FontCache.cpp: Swapped order of params

2011-11-05 13:42  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/FontCache.h, examples/theme-sample/main.ewt,
	  src/FontCache.cpp, src/Jamfile, src/sdbm, src/sdbm/sdbm.c,
	  src/sdbm/sdbm.h, src/sdbm/sdbm_hash.c, src/sdbm/sdbm_pair.c,
	  src/sdbm/sdbm_pair.h, src/sdbm/sdbm_tune.h,
	  tools/edelib-theme-script/foo.ss: Importing new code for font
	  caching facility

2011-10-28 13:56  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/edelib-global.h: A typo in \endcode tag where doxygen
	  screamed

2011-10-28 09:11  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Netwm.cpp: Replacing strdup with edelib_strndup

2011-10-27 09:35  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Netwm.cpp: Show some status values in warnings

2011-10-26 11:59  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Netwm.h, src/Netwm.cpp: Added netwm_window_get_icon to
	  fetch _NET_WM_ICON property data and convert it to fltk image.

2011-10-25 14:24  Sanel Zukan <karijes@users.sourceforge.net>

	* test/desktopfile.cpp: Some more tests for exec() member.

2011-10-25 12:31  Sanel Zukan <karijes@users.sourceforge.net>

	* src/tinyscheme/scheme.h: This is handled from command line during
	  compilation

2011-10-25 08:57  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/edelib-global.h, edelib/for-each-macro.h: Added
	  EDELIB_FOR_EACH impl. with EDELIB_NS_USING_LIST that uses it

2011-10-21 20:26  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/WindowUtils.h, edelib/WindowXid.h, src/Jamfile,
	  src/WindowUtils.cpp, src/WindowXid.cpp,
	  tools/edelib-theme-script/foo.ss: Moving common window operations
	  to single place

2011-10-21 12:05  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Theme.cpp, src/tinyscheme/scheme.c, src/tinyscheme/theme.scm,
	  src/tinyscheme/theme_scm.h, tools/edelib-theme-script/foo.ss:
	  stdup replaced with edelib_strndup. Also global dir separator
	  string is stored in *edelib-dir-separator*. Added
	  *edelib-version*.

2011-10-21 09:49  Sanel Zukan <karijes@users.sourceforge.net>

	* src/tinyscheme/scheme-private.h, src/tinyscheme/scheme.c,
	  test/run-all.sh: Replacing all sprintf-s with snprintf in scheme.
	  Write some status at the bottom in run-all.sh script

2011-10-18 13:28  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Ede.h: Added EDE_CONSOLE_APPLICATION

2011-10-18 12:44  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/Theming.dox, src/tinyscheme/scheme.c: Small cleanup. Updating
	  theming docs

2011-10-17 22:37  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Theme.h, src/Theme.cpp, test/scheme/edelib.ss,
	  tools/edelib-theme-script/edelib-theme-script.cpp: Prompt supprt
	  in edelib-theme-script. Small test for theme expressions

2011-10-17 21:24  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/ColorDb.h, examples/theme-sample/main.ewt,
	  src/ColorDb.cpp, src/ThemeLoader.cpp: Refactoring

2011-10-17 19:16  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/ColorDb.h: Example added

2011-10-17 19:11  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/ColorDb.h, edelib/Theme.h, src/ColorDb.cpp, src/Jamfile,
	  src/Theme.cpp, test/Jamfile, test/colordb.cpp: Code for handling
	  X11 color database

2011-10-17 13:52  Sanel Zukan <karijes@users.sourceforge.net>

	* test/scheme/edelib.ss: Some tests, but we still have incomplete
	  utf8 support

2011-10-17 13:27  Sanel Zukan <karijes@users.sourceforge.net>

	* test/theme.cpp: Unused code

2011-10-17 13:24  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in, m4/nls.m4, src/Jamfile,
	  src/tinyscheme/scheme.c, src/tinyscheme/scheme.h,
	  src/tinyscheme/utf8.c, src/tinyscheme/utf8.h: utf8 and
	  translation support in scheme files

2011-10-17 11:29  Sanel Zukan <karijes@users.sourceforge.net>

	* src/tinyscheme/scheme.c, src/tinyscheme/scheme.h,
	  test/run-all.sh, test/scheme/r5rs.ss,
	  tools/edelib-theme-script/foo.ss: Driver for running all tests.
	  Support for symbol case difference in scheme

2011-10-17 09:37  Sanel Zukan <karijes@users.sourceforge.net>

	* test/scheme, test/scheme/edelib.ss, test/scheme/parser,
	  test/scheme/parser/01.ss, test/scheme/parser/02.ss,
	  test/scheme/parser/03.ss, test/scheme/parser/04.ss,
	  test/scheme/r5rs.ss, test/scheme/run.sh, test/scheme/test.ss,
	  test/scheme/units, test/scheme/units/operators.ss,
	  test/scheme/units/string.ss, test/scheme/unittest.ss: Importing
	  scheme tests

2011-10-17 08:26  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Theme.h, src/Theme.cpp: Separate private function for
	  interpeter init

2011-10-16 23:04  Sanel Zukan <karijes@users.sourceforge.net>

	* src/tinyscheme/scheme.c: Warning for unused variable

2011-10-16 22:59  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Theme.h, src/Theme.cpp, src/tinyscheme/theme.scm,
	  src/tinyscheme/theme_scm.h: Added support for error handler in
	  theme loader code.

2011-10-14 13:09  Sanel Zukan <karijes@users.sourceforge.net>

	* examples/theme-sample/main.ewt, src/tinyscheme/theme.scm,
	  src/tinyscheme/theme_scm.h, test/theme-bad.et,
	  test/theme-bad2.et, test/theme.cpp, test/theme.et,
	  tools/edelib-theme-script/foo.ss: New themes structure

2011-10-14 01:48  Sanel Zukan <karijes@users.sourceforge.net>

	* src/tinyscheme/theme.scm, src/tinyscheme/theme_scm.h: Return when
	  find matcing name, instead iterating rest of the list

2011-10-11 12:17  Sanel Zukan <karijes@users.sourceforge.net>

	* test/xdg/run.sh: Different test type to assure checking if empty
	  values are returned

2011-10-11 12:00  Sanel Zukan <karijes@users.sourceforge.net>

	* src/tinyscheme/scheme.c: Support for '_' as string prefix, to
	  allow easier localization

2011-10-10 15:03  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Theme.h, src/Theme.cpp: Prompt support. To be actually
	  used, load() needs some refactoring

2011-10-10 13:50  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, tools/edelib-theme-script/foo.ss: Export macro
	  EDELIB_HAVE_FLTK_XFT if detected fltk with xft support

2011-10-08 20:04  Sanel Zukan <karijes@users.sourceforge.net>

	* src/ThemeLoader.cpp: Allow seeting scrollbar width through theme

2011-10-06 22:18  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Debug.h, src/Debug.c: Use exported macro

2011-10-06 16:01  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Debug.h, src/Debug.c: Keep these functions inside
	  compilation file, to prevent warnings

2011-10-06 15:52  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, configure.in, edelib/edelib-global.h,
	  m4/cpp-varargs.m4, tools/edelib-theme-script/foo.ss: Create
	  edelib-config.h, a file that will be export common simbols under
	  EDELIB_ namespace. Here should be stored common values used by
	  edelib and ede code

2011-10-06 14:12  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-theme-script/doc.ss,
	  tools/edelib-theme-script/foo.ss: Some function type/docs
	  playground

2011-10-01 17:00  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, configure.in, edelib/Debug.h, m4/cpp-varargs.m4,
	  src/Debug.c, src/Debug.cpp, src/Jamfile: Refactoring debug
	  facility

2011-09-30 13:47  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Config.cpp, src/Theme.cpp: Config::save() now use temporary
	  folder until save was done, and do rename after it.

2011-09-28 15:02  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-catchsegv: Fixing a typo

2011-09-28 11:25  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-convert-icontheme: Do correct conversion no matter
	  from where it is called

2011-09-28 10:52  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-catchsegv, tools/edelib-convert-icontheme,
	  tools/edelib-mime-find, tools/edelib-mk-indextheme: Updated
	  license. Small mod on edelib-convert-icontheme

2011-09-28 08:45  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/Jamfile, tools/edelib-convert-icontheme, tools/svg2png:
	  Small changes, renaming and make it installable

2011-09-27 16:00  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-catchsegv: Downcased

2011-09-27 15:56  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/Jamfile, tools/edelib-mk-indextheme, tools/mkindextheme:
	  Tool for creating index.theme file

2011-09-27 09:10  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/Jamfile: Corrected Jamfile

2011-09-26 13:51  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Functional.h, examples/elinks.cpp: for_each accepts
	  additional void parameter. elinks is using for_each

2011-09-26 13:26  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-theme-script/foo.ss: Some experiments...

2011-09-26 13:11  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/Jamfile, tools/edelib-dbus-introspect/Jamfile,
	  tools/edelib-theme-script/Jamfile,
	  tools/edelib-theme-script/foo.ss: Install these binaries

2011-09-19 14:41  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/edelib-theme-script/doc.ss: Completing doc function

2011-09-19 14:26  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/Jamfile: Append missing ending space

2011-09-18 21:14  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/Jamfile, tools/edelib-theme-script,
	  tools/edelib-theme-script/Jamfile,
	  tools/edelib-theme-script/doc.ss,
	  tools/edelib-theme-script/edelib-theme-script.cpp,
	  tools/edelib-theme-script/foo.ss: Tool for running theme scripts

2011-09-15 13:32  Sanel Zukan <karijes@users.sourceforge.net>

	* test/functional.cpp: map() tests

2011-09-14 15:14  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Functional.h: Missing end tag

2011-09-14 15:06  Sanel Zukan <karijes@users.sourceforge.net>

	* test/Jamfile, test/functional.cpp: Starting tests for functional
	  funcs.

2011-09-14 14:42  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Functional.h: Adding new code for functional approach over
	  edelib containers.

2011-09-14 13:13  Sanel Zukan <karijes@users.sourceforge.net>

	* test/list.cpp: Warning reduction

2011-08-04 08:44  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/fltk.m4: Removed warning if 1.3.x branch was
	  detected

2011-08-02 13:15  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/WindowXid.cpp: Support for FLTK 1.3.0

2010-09-09 17:36  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, tools/edelib-catchsegv: Added tool for dumping memory
	  map of segfaulted app

2010-05-06 23:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/tinyscheme/scheme.c, test/theme-bad2.et,
	  test/theme.cpp: Prevent crashes on malformed 'let'.

2010-03-28 12:18  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Ede.h: Set FL_NORMAL_SIZE to 12 by default

2010-03-28 01:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Ede.h, edelib/Nls.h, src/Jamfile, src/Nls.cpp:
	  Allow translation of edelib specific code; also let this
	  code use explicitly edelib domain for translation search.
	  
	  Added Ede.h; EDE specific file for common macro(s).

2010-03-09 23:27  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, edelib/Netwm.h, examples/efile.cpp,
	  src/Netwm.cpp: Report NETWM_CHANGED_WINDOW_ICON when icon gets
	  changed via _NET_WM_ICON message.
	  amd64 requires '-fPIC' even if library is compiled as static.
	  Some warning reduction.

2010-03-07 13:35  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Netwm.cpp: Fixed property fetching issues on
	  64-bit platform

2010-02-25 18:40  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Netwm.h, src/Netwm.cpp: Added
	  netwm_window_set_state() and EWMH states, as generic facility for
	  setting window states.
	  Small code refactoring.

2010-02-18 17:00  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Netwm.cpp: Use correct state for setting maximized
	  state; by default
	  is toggled state for cases when maximization is issued on already
	  maximized window.

2010-02-16 14:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, configure.in, m4/compiler-name.m4:
	  s/ac_compiler_name/ac_compiler_vendor and
	  s/EDELIB_COMPILER_NAME/EDELIB_COMPILER_VENDOR
	  There is no need to set SUN_COMPILER variable when SunStudio is
	  used, now configure script will figure it out.

2010-02-15 10:39  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/fltk.m4: Improving checks

2010-02-15 10:12  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/fltk.m4: Check if FLTK was compiled with XFT
	  support

2010-02-11 17:51  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Theme.cpp: Some cleanup

2010-02-04 12:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules, configure.in, po/update-messages.sh,
	  po/update-messages.sh.in: update-messages.sh will be filled with
	  xgettext path, if available

2010-02-03 15:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamfile, Jamrules, po/Jamfile: Modified
	  MakeInstallPrivate so it can accept target filename.
	  Added ability to install translated files in locale directory.

2010-02-03 13:57  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, po/edelib.pot, po/messages.pot, po/update-messages.sh:
	  Default template file should be named edelib.pot

2010-02-02 16:10  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, po, po/messages.pot, po/update-messages.sh: Created
	  directory for translations with accompanying files

2010-01-19 14:12  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/DesktopFile.cpp: If localized keys are not found,
	  fallback to generic ones.

2009-12-18 15:09  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Config.h, src/Config.cpp: Small refactoring.

2009-12-16 13:25  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Netwm.h: Little change for
	  netwm_window_is_manageable() doc.

2009-12-10 12:52  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Netwm.h, src/Netwm.cpp: Added
	  netwm_window_get_type()

2009-12-10 11:24  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Netwm.h, src/Netwm.cpp: Some API refactoring

2009-12-09 17:44  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Netwm.h, src/Jamfile, src/Netwm.cpp: Attempt to
	  put common wm code in one place.

2009-12-03 13:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/tinyscheme/scheme.c: Dumped {} tokens; fixed so []
	  tokens can be aliased with ().

2009-12-02 14:31  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, edelib/DateTime.h, edelib/File.h,
	  edelib/TableBase.h, src/DateTime.cpp, src/DesktopFile.cpp,
	  src/EdbusMessage.cpp, src/File.cpp, src/IconChooser.cpp,
	  src/IconTheme.cpp, src/MessageBox.cpp, src/PtyProcess.cpp,
	  src/SevenSeg.cpp, src/TableBase.cpp, src/tinyscheme/scheme.c,
	  test/UnitTest.cpp: Added -Wshadow flag to prevent variable
	  shadowing; cleaned warnings.

2009-12-01 11:41  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/tinyscheme/gen-c-string.sh: Accept parameter and
	  construct variable name from parameter name.

2009-11-25 13:28  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/ForeignCallback.h: Fixed example to match
	  function changes.

2009-11-25 13:09  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, examples/Jamfile, examples/theme.cpp:
	  s/Fl_Button.h/Fl_Button.H
	  Let theme.cpp use FLTK_CFLAGS.

2009-11-24 13:31  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, examples/Jamfile, examples/theme-sample,
	  examples/theme-sample/main.ewt, examples/theme-sample/xxx.ewt,
	  examples/theme.cpp: Simple example of theming engine.

2009-11-24 12:30  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/tinyscheme/theme.scm: Fixed a typo in comment;
	  additionally clarify theme.style-get function.

2009-11-20 15:42  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/IconChooser.cpp, src/String.cpp: Allow it to
	  compile on gcc >= 4.4.1 due introduction const safe C string
	  function.

2009-11-20 15:28  Sanel Zukan <karijes@users.sourceforge.net>

	* autogen.sh: Made it little bit more portable

2009-11-20 15:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, autogen.sh: Emulate basic aclocal functionality so
	  edelib does not require whole automake package for this.

2009-11-17 13:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Missing.h: s/Missing function/Missing functions

2009-11-17 12:52  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, test/run.cpp: Do not use 'tar' without path or GNU
	  version will be selected on default OpenSolaris installation.

2009-11-17 12:32  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Missing.h, src/Missing.c: edelib_daemon() added
	  since Solaris family does not provides it at all.
	  Separate missing functions to different documentation module.

2009-11-16 13:37  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, test/desktopfile.cpp, test/file.cpp, test/run.cpp:
	  Some #ifdef code to run pass tests on OpenSolaris.
	  Removed commented code.

2009-11-13 11:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/ForeignCallback.h, edelib/Nls.h,
	  src/ForeignCallback.cpp: Additional data parameter for
	  foreign_callback_add(); also the order of parameters was changed.
	  Macro code formatting.

2009-11-12 15:56  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/MenuButton.cpp: Make it compiles on FLTK 1.1.7

2009-11-12 11:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/IconLoader.h, src/IconLoader.cpp,
	  src/MenuItem.cpp, src/Run.cpp, src/icons/unknown-128.xpm,
	  src/icons/unknown-16.xpm, src/icons/unknown-22.xpm,
	  src/icons/unknown-32.xpm, src/icons/unknown-48.xpm,
	  src/icons/unknown-64.xpm, src/xdgmime/xdgmimemagic.c: Fixed
	  warnings found on gcc 4.3.2 and error with PATH_MAX and signal()
	  on OpenSolaris

2009-11-10 11:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Window.h, src/Window.cpp: Dumped foreign
	  callback code since separate implementation was added

2009-11-09 13:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/ForeignCallback.h, src/ForeignCallback.cpp,
	  src/Jamfile: Added foreign callback functions

2009-11-04 13:46  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Theme.h, edelib/ThemeLoader.h, src/Jamfile,
	  src/Theme.cpp, src/ThemeLoader.cpp, test/theme.cpp: Theme loading
	  using XDG paths is now in ThemeLoader class, that will also load
	  XSETTINGS code and apply
	  common theme elements on FLTK tree. XSETTINGS code is not yet
	  completed. Tests updated.

2009-11-02 16:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Theme.cpp: Use .H for FLTK headers; spotted by
	  Ralf and adb

2009-10-16 09:29  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, Jamrules: Add DESTDIR to prefix, instead
	  modifying every install rule

2009-10-13 16:17  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules: Use DESTDIR if given (modified patch from
	  José Romildo)

2009-10-13 10:37  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/EdbusConnection.h, src/EdbusConnection.cpp:
	  Dumping method and signal matching tables since they are not
	  used.
	  Removed unneeded return value from disconnect().
	  Added error() member that will return EdbusError object, filled
	  with received error message.

2009-10-09 10:48  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Run.cpp: Silent a warning

2009-10-08 13:39  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog: Marking 2.0 beta release

2009-10-08 12:12  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/fltk.m4: Pass checks for FLTK 1.1.10

2009-10-07 10:17  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, m4/largefile.m4: --enable-largefile
	  added, so code can be compiled with large file support

2009-10-05 12:09  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/fltk.m4: Remove possible optimization flags; on
	  NetBSD fltk-config uses -O2 (stupid)

2009-10-02 12:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/DesktopFile.h, src/DesktopFile.cpp,
	  src/File.cpp, test/desktopfile.cpp: Behaviour of exec() is now
	  much more conformant to The Desktop Entry Spec, returning
	  full executable path without touching the arguments (escaping and
	  special variables are not implemented yet).
	  
	  try_exec() now checks only if execuatable exists. Tests updated.
	  
	  Used E_DIR_SEPARATOR in file_path().

2009-09-29 10:10  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Directory.h: Newline at the end of the file or
	  SunStudio 11 C++ compiler will crash

2009-09-28 11:36  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, edelib/Color.h, edelib/Config.h,
	  edelib/DateTime.h, edelib/Debug.h, edelib/DesktopFile.h,
	  edelib/DirWatch.h, edelib/Directory.h, edelib/EdbusConnection.h,
	  edelib/EdbusContainer.h, edelib/EdbusData.h, edelib/EdbusDict.h,
	  edelib/EdbusError.h, edelib/EdbusList.h, edelib/EdbusMessage.h,
	  edelib/EdbusObjectPath.h, edelib/ExpandableGroup.h,
	  edelib/File.h, edelib/FileTest.h, edelib/FontChooser.h,
	  edelib/IconChooser.h, edelib/IconLoader.h, edelib/IconTheme.h,
	  edelib/List.h, edelib/Listener.h, edelib/MenuBar.h,
	  edelib/MenuBase.h, edelib/MenuButton.h, edelib/MenuItem.h,
	  edelib/MessageBox.h, edelib/MimeType.h, edelib/Missing.h,
	  edelib/Nls.h, edelib/Pty.h, edelib/PtyProcess.h, edelib/Regex.h,
	  edelib/Resource.h, edelib/Run.h, edelib/SevenSeg.h,
	  edelib/Sipc.h, edelib/StrUtil.h, edelib/String.h,
	  edelib/TableBase.h, edelib/TempFile.h, edelib/Theme.h,
	  edelib/TiXml.h, edelib/Util.h, edelib/Version.h.in,
	  edelib/Window.h, edelib/WindowXid.h, edelib/XSettingsClient.h,
	  edelib/XSettingsCommon.h, edelib/XSettingsManager.h,
	  m4/compiler-name.m4: Added EDELIB part to header protector in
	  edelib headers.
	  Dumping isws() helper function; stringtok() will now directly use
	  strchr().
	  Added m4 macro for deducing compiler name.

2009-09-25 15:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, m4/various.m4, src/tinyscheme/scheme.c:
	  Use CFLAGS var name instead CCFLAGS, which caused jam to skip
	  given flags for C code.
	  Initialize/mark sink in scheme code; this caused very strange
	  crashes on SunStudio.
	  Fix some warnings in scheme code.
	  Use '-g' to generate debug information, if gcc wasn't detected.

2009-09-25 11:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, Jamrules: Moving STDLIB to Jamrules;
	  some warning flags for SunStudio

2009-09-25 10:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/various.m4: Use only gcc specific flags for gcc

2009-09-25 10:38  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, Jamrules: LIBS from configure should be
	  used, not LDLIBS

2009-09-24 16:38  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/dbus.m4: Use AC_TRY_LINK, because C lang is used
	  (gcc will just warn if function does not exists).
	  Instruct configure script to use DBUS_CFLAGS and DBUS_LIBS for
	  sample compilation.

2009-09-24 16:18  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/dbus.m4, src/EdbusConnection.cpp: dbus_watch_get_fd() is
	  marked as deprecated in newer D-BUS versions

2009-09-23 12:22  Sanel Zukan <karijes@users.sourceforge.net>

	* test/mime.cpp: Reverted wrongly erased line and erased intended
	  one

2009-09-23 12:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, test/mime.cpp: Test for known crash on NetBSD, for
	  previous xdgmime changes (Bug 155).
	  Dumped icon name test against object file

2009-09-23 11:59  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/MimeType.cpp, src/xdgmime/xdgmime.c,
	  src/xdgmime/xdgmime.h: Added xdg_mime_get_mime_type_for_file2()
	  that will always do stat() on target file;
	  xdg_mime_get_mime_type_for_file()
	  code was reverted to original implementation.

2009-09-22 11:25  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/MenuItem.cpp: Removed included stdio.h header.
	  Made submenu arrows fixed size: looks much "normally"

2009-09-19 08:42  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/IconLoader.h, src/IconLoader.cpp: Use OR-ing to
	  store settable options; much more convinient and verbose

2009-09-17 15:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/IconLoader.h, src/IconLoader.cpp: By default,
	  return icon size as requested, even if we are need to scale it

2009-09-08 15:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/List.h, test/list.cpp: Fix a bug when erase()
	  would be called in the loop with already assigned end() value.
	  Added test for above bug.

2009-09-07 15:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules: Fix error value propagation to the shell

2009-09-03 14:22  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Resource.h, src/Resource.cpp,
	  test/resource.cpp: Added find_in_config_dir(); allow prefix to
	  have NULL value, so it can be ignored

2009-09-03 11:15  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, INSTALL, Jamrules, README, configure.in,
	  edelib/Resource.h, edelib/Theme.h, src/Resource.cpp,
	  src/Theme.cpp, src/tinyscheme/init.scm,
	  src/tinyscheme/init.scm.orig, src/tinyscheme/init_scm.h,
	  test/resource.cpp: Removed last change in configure.in.
	  
	  'jam tests' will do necessary stuff to allow running tests
	  when edelib was compiled as shared library.
	  
	  Update, fixed some typos in README and INSTALL.
	  
	  Dumping IO code from tinyscheme.
	  
	  Allow Resource's find_data() to have default prefix, as
	  find_config() too.

2009-09-02 17:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in: Make libraries visible if edelib was
	  compiled as shared library when EDELIB_USE_LOCALDIR was set

2009-09-02 16:29  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/tinyscheme/scheme.c, src/tinyscheme/scheme.h:
	  Disabled math facility.
	  Do not call malloc.h; FreeBSD does not like it.

2009-09-02 16:18  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Theme.cpp, src/tinyscheme/scheme.c, test/Jamfile,
	  test/theme-bad.et, test/theme.cpp: Better code for checking if
	  scheme stuff is loaded.
	  Set proper retcode value when illegal token was found in
	  scheme.c.
	  Test for special case where tinyscheme code had to be modified.

2009-09-01 16:17  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Theme.h, src/Theme.cpp, test/Jamfile,
	  test/theme.cpp, test/theme.et: clear() made public; small fix
	  with string type recognition
	  Added tests for theme

2009-09-01 13:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, doc/DBus.dox, doc/Mainpage.dox, doc/Theming.dox,
	  edelib/Config.h, edelib/Debug.h, edelib/DirWatch.h,
	  edelib/EdbusConnection.h, edelib/EdbusMessage.h,
	  edelib/IconTheme.h, edelib/List.h, edelib/MessageBox.h,
	  edelib/MimeType.h, edelib/Pty.h, edelib/PtyProcess.h,
	  edelib/Regex.h, edelib/Resource.h, edelib/Sipc.h,
	  edelib/TempFile.h, edelib/Theme.h, edelib/TiXml.h,
	  edelib/Window.h, edelib/XSettingsClient.h,
	  edelib/XSettingsManager.h, edelib/edelib-global.h,
	  examples/dirwatch.cpp, examples/egroup.cpp, examples/egroup2.cpp,
	  examples/icon_chooser.cpp, src/EdbusConnection.cpp, src/Jamfile,
	  src/Theme.cpp, src/Window.cpp, src/XSettingsManager.cpp,
	  src/tinyscheme, src/tinyscheme/COPYING,
	  src/tinyscheme/gen-c-string.sh, src/tinyscheme/init.scm,
	  src/tinyscheme/init_scm.h, src/tinyscheme/opdefines.h,
	  src/tinyscheme/scheme-private.h, src/tinyscheme/scheme.c,
	  src/tinyscheme/scheme.h, src/tinyscheme/theme.scm,
	  src/tinyscheme/theme_scm.h, src/tinyscheme/while.scm,
	  test/abicheck.sh, test/list.cpp, test/string.cpp: Changes are in
	  reversed order:
	  
	  Moving D-BUS info documentation in separate file.
	  E_SIGLETON_CLASS_* replaced with E_CLASS_GLOBAL_*
	  Added E_DISABLE_CLASS_COPY and changed *.h files to use it.
	  Added base for theming stuff.
	  E_SIGLETON_CLASS_* macros added.
	  Fixed implicit EdbusMessage creating; detected by gcc-2.95.3 :)
	  Dumped wrongly placed doxygen tag.
	  Added EDELIB_NS_PREPEND; redefine namespace if external EDELIB_NS
	  name was given
	  Removed explicit namespace name usage in some files.
	  Added script for the future for easier ABI changes tracking.

2009-08-12 15:08  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Directory.h, edelib/IconLoader.h,
	  edelib/MessageBox.h, src/IconLoader.cpp, src/MessageBox.cpp,
	  src/icons/unknown-128.xpm, src/icons/unknown-16.xpm,
	  src/icons/unknown-22.xpm, src/icons/unknown-32.xpm,
	  src/icons/unknown-48.xpm, src/icons/unknown-64.xpm: Some
	  documentation typo fix in Directory.h.
	  Added builtin xpm icons and implemented get_builtin_xpm_icon() in
	  IconLoader.
	  Added set_icon_by_type() in MessageBox so icons could be set via
	  already known MessageBoxIconType values; it will use icon theme
	  by default
	  and as fallback will use edelib internal ones.

2009-08-04 13:24  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/fltk.m4: Allow checks for FLTK 1.3.x to be passed

2009-07-31 17:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/List.h: Made size_type public

2009-07-31 14:18  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, doc/todo.dox: Removed one TODO

2009-07-31 14:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/EdbusConnection.h: Completed documentation

2009-07-21 12:27  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/edelib-global.h, examples/menu.cpp: Added
	  EDELIB_NS_USING_AS() and documented the rest macros
	  Addopted menu example to use EDELIB_NS_* macros

2009-07-21 11:37  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, doc/Doxyfile.in, src/FontChooser.cpp: Cosmetic changes
	  in FontChooser.cpp
	  Examples directory is part of EXAMPLES_PATH in Doxyfile.in

2009-07-09 13:22  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/IconLoader.cpp: Lookup cache not only by icon
	  name, but by size too;
	  this prevent issue where seen icon name (with random size) would
	  be
	  returned for different requested sizes.

2009-07-09 11:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/TempFile.h, src/TempFile.cpp: Added
	  set_no_close() member; if set, destructor will not close
	  descriptors

2009-07-08 15:04  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/TempFile.h: Added missing documentation part

2009-07-08 15:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/TempFile.h, src/Jamfile, src/TempFile.cpp,
	  test/Jamfile, test/temp_file.cpp: Added class for unique
	  temporary files

2009-07-07 13:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/MenuItem.cpp: Some Sun Studio quirks

2009-07-06 17:02  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, examples/menu.cpp, examples/menu.fl, src/MenuItem.cpp:
	  Better way to determine icon and label positions; also
	  fixes issue when the label is too large so menu window could not
	  correctly
	  recalculate own width.
	  
	  Extending examples for corner cases.

2009-07-03 13:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, examples/menu.cpp: Extended a little bit menu example

2009-07-03 10:29  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/MenuItem.h, examples/menu.cpp,
	  examples/menu.fl, src/MenuItem.cpp: Changes to allow images in
	  menu items.
	  Added some icons to test against in examples/menu.cpp

2009-07-02 10:40  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, examples/Jamfile: let menu.cpp gets FLTK include paths
	  during compilation

2009-06-30 14:17  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/MenuBar.h, edelib/MenuBase.h, edelib/MenuButton.h,
	  edelib/MenuItem.h: Small docs for menu stuff

2009-06-30 13:57  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules: Remove edelib-gui.pc when 'jam distclean'
	  given

2009-06-30 13:42  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/MenuBar.h, edelib/MenuBase.h,
	  edelib/MenuButton.h, edelib/MenuItem.h, examples/Jamfile,
	  examples/menu.cpp, examples/menu.fl, src/Jamfile,
	  src/MenuBar.cpp, src/MenuBase.cpp, src/MenuButton.cpp,
	  src/MenuItem.cpp, src/Menu_add.cpp, src/Menu_global.cpp: Forking
	  FLTK menu due it's inability to be extended; names are changed
	  and edelib namespace is used.
	  
	  Added a small menu demo.

2009-06-08 14:24  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Window.cpp: Added Fltk/Scheme key

2009-05-15 17:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/IconTheme.cpp: Removed some unneeded output

2009-05-15 16:35  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Window.h, src/Window.cpp: Do not load icon
	  theme when WIN_INIT_NONE was given

2009-05-14 14:56  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamfile, configure.in, edelib-gui.pc.in: edelib-gui.pc
	  added

2009-05-14 14:39  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules, src/Jamfile: Split libedelib to libedelib
	  and libedelib_gui

2009-05-11 15:35  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Regex.h, examples/elinks.cpp,
	  examples/icon_chooser.cpp, src/Jamfile, src/Regex.cpp, src/pcre,
	  src/pcre/pcre-chartables.c, src/pcre/pcre-config.h,
	  src/pcre/pcre-internal.h, src/pcre/pcre.c, src/pcre/pcre.h,
	  src/rx, test/regex.cpp: Replaced GNU regex engine with pcre;
	  updated tests and elinks example
	  Let icon_chooser example use edelib::Window

2009-04-22 11:35  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog: Info about release

2009-04-20 18:22  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, test/mime.cpp: Quick hack to prevent crashes on
	  NetBSD, although better solution should be find

2009-04-20 17:48  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/rx/regex.h: __restrict_arr makes a lot of problems
	  on NetBSD's gcc 4.1.2 so this part
	  is replaced with updated code found somewere on the net

2009-04-20 15:48  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/StrUtil.cpp: s/EASSERT/E_ASSERT
	  Some valgrind warning fixup

2009-04-18 14:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/mime.m4: Fixed a bug with IFS, noticeable on ksh
	  shell

2009-04-18 14:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/pkg.m4: Removed obsolete line

2009-04-17 20:33  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/pkg.m4: ksh hack

2009-04-17 10:24  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Config.h, src/Config.cpp, test/conf.cpp:
	  Removed usage of File class

2009-04-16 10:53  Sanel Zukan <karijes@users.sourceforge.net>

	* test/mime.cpp: Removed some output testing

2009-04-14 16:16  Sanel Zukan <karijes@users.sourceforge.net>

	* INSTALL: LDFLAGS should be used for -L switches

2009-04-13 17:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/jam.m4: Check if we have broken jam's that does not
	  correctly use return statement

2009-04-12 11:41  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib-dbus.pc.in, edelib.pc.in, edelib/DateTime.h,
	  examples/xsettings_client.cpp, src/DateTime.cpp,
	  src/Directory.cpp, src/File.cpp, src/TiXmlParser.cpp,
	  src/Window.cpp, src/icons/critical.xpm, src/icons/info.xpm,
	  src/icons/question.xpm, src/icons/warning.xpm, test/mime.cpp,
	  test/xml.cpp, test/xsettings.cpp: all: fixed some warnings
	  generated by the newer gcc's (>=4.3)
	  edelib.pc.in and edelib-dbus.pc.in: dump URL key since it is not
	  supported by older pkg-config versions

2009-04-10 16:57  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Create include link on source dir since .pc files
	  points includes to $prefix/include

2009-04-10 16:24  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in: Check if env EDELIB_USE_LOCALDIR was
	  set; if true, see
	  local directory as install destination so .pc files can be called
	  pointing to this directory

2009-04-10 15:51  Sanel Zukan <karijes@users.sourceforge.net>

	* test/file_test.cpp: /usr/bin/mkdir is not symlink on FreeBSD.
	  Removed tests against this

2009-04-10 15:17  Sanel Zukan <karijes@users.sourceforge.net>

	* test/UnitTest.cpp: Beautify output more. Also dump more newlines
	  so buildbot can nicely blend stdout and stderr outputs

2009-04-10 12:25  Sanel Zukan <karijes@users.sourceforge.net>

	* test/file_test.cpp, test/mime.cpp, test/run.cpp: Small changes so
	  test could be run nicely on FreeBSD

2009-04-10 11:48  Sanel Zukan <karijes@users.sourceforge.net>

	* test/UnitTest.cpp: Flush output

2009-04-10 11:39  Sanel Zukan <karijes@users.sourceforge.net>

	* test/scripts: Removing CDash related scripts

2009-04-10 11:37  Sanel Zukan <karijes@users.sourceforge.net>

	* test/UnitTest.cpp: Correctly redirect all streams to the given
	  output

2009-04-10 11:13  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules, src/Debug.cpp, test/UnitTest.cpp,
	  test/UnitTest.h, test/run_tests.cpp: Removed CDash output from
	  unit test code; added '--silent' command line option
	  Failed tests will be sent to stderr; better output formatting
	  Jamrules: Let 'jam tests' run unit tests in Jamrules
	  Use fputs() in debug functions

2009-04-09 16:48  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, run-tests.sh: run-tests.sh removed

2009-04-09 10:35  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Run.cpp: BSD's keeps BSD definition in sys/param.h

2009-04-08 15:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Run.cpp: Include needed headers for BSD systems

2009-04-08 12:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/fltk.m4: Removed unneeded comma

2009-04-08 10:54  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, INSTALL: Corrected environment variables

2009-04-07 15:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, autogen.sh, run-tests.sh, test/UnitTest.cpp,
	  test/UnitTest.h, test/run_tests.cpp: Return 1 if tests failed or
	  0 if opposite.
	  run-tests.sh added to make life easier for buildbot

2009-04-02 11:43  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Color.h, src/Color.cpp, test/color.cpp:
	  color_html_to_rgb() and color_rgb_to_html() added with tests

2009-03-30 15:10  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, INSTALL, Jamrules, edelib/Debug.h, edelib/Directory.h,
	  edelib/EdbusData.h, edelib/FileTest.h, edelib/MessageBox.h,
	  edelib/edelib-global.h, src/Directory.cpp, src/IconChooser.cpp,
	  src/MessageBox.cpp, src/Run.cpp: INSTALL: small clarifications
	  Jamrules: removed some vars used for playgrounds
	  edelib/EdbusData.h: fix error on sun compiler
	  edelib/MessageBox.h:
	  src/MessageBox.cpp:
	  src/Run.cpp: fix warnings on sun compiler
	  INSTALL: compiling on SunStudio
	  edelib/FileTest.h: small changes in the doc
	  src/Directory.cpp: dir_create_with_parents() needs file_test()
	  edelib/*: documented macros

2009-03-27 15:12  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Directory.h, edelib/File.h, edelib/FileTest.h,
	  examples/icon_chooser.cpp, src/Directory.cpp, src/File.cpp,
	  src/FileTest.cpp, src/IconChooser.cpp, src/IconTheme.cpp,
	  src/Resource.cpp, test/directory.cpp, test/file.cpp,
	  test/file_test.cpp: Use lstat() for links.
	  Updated edelib code to use file_test(); deprecated dir_*() and
	  file_*() functions that do the same job.
	  Removed unneeded checks before file/directory open operations.

2009-03-27 14:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/FileTest.h, src/FileTest.cpp, src/Jamfile,
	  test/Jamfile, test/file_test.cpp: Added file_test() function with
	  tests

2009-03-27 09:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/IconChooser.h, src/IconChooser.cpp: Some
	  refactoring, use Fl_Double_Window.
	  Todo how it needs to be rewritten.

2009-03-25 16:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/MessageBox.cpp, src/icons/info.xpm,
	  src/icons/question.xpm, src/icons/warning.xpm: Updated to gtk
	  icons
	  Use question icon where is needed

2009-03-25 15:24  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib.pc.in: Added edelibdocdir variable; it will
	  have full path to edelib documentation directory

2009-03-25 14:54  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/String.h, src/IconTheme.cpp, src/String.cpp,
	  test/string.cpp: Added trim_left(), trim_right(), trim() function
	  with the tests
	  Updated IconTheme code to use trim() function

2009-03-25 14:31  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/String.h: Small documentation revision

2009-03-25 14:12  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/IconLoader.cpp, src/IconTheme.cpp: Remove previous
	  image from Fl_Shared_Image cache whem icon theme was reloaded;
	  some stats output.
	  Removed debug output when go in 'hicolor' theme.

2009-03-25 11:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/IconLoader.h: Document how to get image object

2009-03-25 10:52  Sanel Zukan <karijes@users.sourceforge.net>

	* src/IconLoader.cpp: Fix compiler errors

2009-03-25 10:51  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/IconLoader.h, src/IconLoader.cpp: Let get()
	  check fallback icon too; some sanity checks
	  Document get() behaviour

2009-03-25 10:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/IconLoader.h, edelib/IconTheme.h,
	  edelib/MimeType.h, edelib/Window.h, edelib/WindowXid.h,
	  examples/dirwatch.cpp, examples/egroup.cpp, src/IconChooser.cpp,
	  src/IconLoader.cpp, src/IconTheme.cpp, src/Jamfile,
	  src/MessageBox.cpp, src/MimeType.cpp, src/ThreadableMember.h,
	  src/Window.cpp, src/WindowXid.cpp, test/xdg/icon-theme.cpp:
	  Merging changes from edelib-new-icon-theme branch

2009-03-10 14:35  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/DirWatch.h: A little documentation revision

2009-03-10 14:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Pty.h, edelib/PtyProcess.h: Added EDELIB_API
	  exporter

2009-03-09 11:37  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, configure.in, src/Jamfile,
	  src/xdgmime/xdgmime.c, src/xdgmime/xdgmime.h,
	  src/xdgmime/xdgmimealias.c, src/xdgmime/xdgmimealias.h,
	  src/xdgmime/xdgmimecache.c, src/xdgmime/xdgmimecache.h,
	  src/xdgmime/xdgmimeglob.c, src/xdgmime/xdgmimeglob.h,
	  src/xdgmime/xdgmimeicon.c, src/xdgmime/xdgmimeicon.h,
	  src/xdgmime/xdgmimeint.c, src/xdgmime/xdgmimeint.h,
	  src/xdgmime/xdgmimemagic.c, src/xdgmime/xdgmimemagic.h,
	  src/xdgmime/xdgmimeparent.h, test/mime.cpp: Updated xdgmime
	  sources to the latest versions and changed accompanying files to
	  reflect that.
	  Local changes in previous version are also merged.
	  Added tests for xdgmime caveats

2009-03-09 10:23  Sanel Zukan <karijes@users.sourceforge.net>

	* src/xdgmime/tags: Removing tags file, got accidentally

2009-03-09 07:46  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/DesktopFile.h, edelib/EdbusConnection.h,
	  edelib/EdbusMessage.h, src/EdbusConnection.cpp,
	  src/EdbusMessage.cpp, src/MessageBox.cpp: (in reversed order)
	  
	  Dumped DO_COPY() macro in a favor of edelib_strlcpy()
	  
	  Fixed a typo in enum name
	  request_name() now follows policy issued with second 'mode'
	  parameter
	  request_name() documentation update
	  Todo about Exec special variables
	  Documentation fix
	  
	  Do not call fl_register_images() in MessageBox
	  
	  Removed unneeded stdio.h inclusion in string tests
	  
	  Added tests for run_XXX functions
	  Document some caveats in Run function
	  Some refactoring, cleaning bad deallocation, misc
	  Explictitly say that running file is local or run commands will
	  search PATH for it
	  
	  Removed some puts()/printf()'s and internal
	  from_edbusdata_type_to_dbus_type_string() will
	  call E_FATAL() if end was reached
	  Commenting debug messages output

2009-03-06 12:22  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, test/run.cpp: Explictitly say that running file is
	  local or run commands will search PATH for it

2009-03-06 12:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Run.h, src/Run.cpp, test/Jamfile, test/run.cpp,
	  test/string.cpp: Removed unneeded stdio.h inclusion
	  Added tests for run_XXX functions
	  Documented some caveats
	  Some refactoring, cleaning bad deallocation, misc

2009-03-05 18:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Run.h, src/Run.cpp: reimlemented code for
	  asynchronous process spawning, mainly
	  to prevent creating zombie processes; the code is inspired by
	  Glib implmenetation
	  
	  added RUN_PIPE_FAILED flag

2009-03-03 10:27  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, TODO, configure.in, doc/Doxyfile.in, doc/Mainpage.dox,
	  doc/todo.dox, edelib/Config.h, edelib/DateTime.h, edelib/Debug.h,
	  edelib/EdbusConnection.h, edelib/File.h, edelib/MessageBox.h,
	  edelib/MimeType.h, edelib/Nls.h, edelib/Regex.h, edelib/Window.h,
	  m4/datetime.m4, m4/dbus.m4, m4/fltk.m4, m4/libxpm.m4,
	  m4/notify.m4, m4/pkg.m4, m4/shared.m4, m4/various.m4, m4/xlib.m4,
	  src/Debug.cpp, src/MessageBox.cpp, src/Run.cpp, src/Window.cpp:
	  m4/pkg.m4: imported modification from ede2 module, where spaces
	  in
	  returned flags will be removed; also pkg-config is mandatory so
	  it will
	  not continue if wasn't found, as was previously; XY_VERSION is
	  set too
	  
	  m4/dbus.m4: removed checks if pkg-config wasn't found
	  
	  m4/*.m4:
	  configure.in: s/EDELIB_CHECK_/EDELIB_; removed that CHECK part
	  for consistency;
	  removed 'eval' from 'if' statement
	  
	  doc/Doxyfile.in: hide scope names
	  
	  doc/Mainpage.dox: added as main page
	  
	  TODO: removed; all todo's are placed either in *.h or todo.dox
	  files via
	  \todo tag so doxygen could do the better job
	  
	  edelib/Debug.h:
	  src/Debug.cpp: message handler recoded
	  
	  edelib/MessageBox.h:
	  src/MessageBox.cpp: themed_dialog_icons() and
	  clear_dialog_icons() are
	  deprecated with set_themed_icons() and clear_themed_icons() from
	  MessageBox; some internal refactoring to use E_RETURN_XXX macros
	  
	  edelib/Regex.h: added todo for porting it on pcre backend
	  
	  m4/xlib.m4: remove AC_PATH_X since AC_PATH_XTRA already contains
	  it
	  
	  Window.h:
	  Window.cpp: renamed create_window_xid() to window_xid_create();
	  better
	  control of icon theme loading/reloading

2009-02-27 14:05  Sanel Zukan <karijes@users.sourceforge.net>

	* src/PtyProcess.cpp: Remove extra newlines

2009-02-27 13:59  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, edelib/Pty.h, edelib/PtyProcess.h,
	  src/Jamfile, src/Pty.cpp, src/PtyProcess.cpp: Added Vedran's work
	  on synchronous chat with terminal programs
	  Added checks for functions needed by PTY and PtyProcess classes

2009-02-27 09:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, tools/edelib-mime-find: Adding edelib-mime-find, a
	  tool for easier mimetype locating

2009-02-26 14:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Run.h, edelib/edelib-global.h, m4/dbus.m4,
	  src/Run.cpp: Removed obsolete code
	  Added EDELIB_DEPRECATED macro
	  run_program() and run_program_fmt() marked as deprecated;
	  replacement is in run_sync() and run_async()

2009-02-24 13:38  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, autogen.sh: code cleanup

2009-02-24 11:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/String.cpp, test/string.cpp: fixed a crash when
	  append() is called with empty string
	  updated tests

2009-02-24 10:16  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Resource.h, src/Resource.cpp: save(), load()
	  and find_conf() have additional prefix parameter, as Vedran
	  proposed,
	  and it behaves as subdirectory of XDG config dirs
	  
	  Updated tests

2009-02-23 14:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Resource.cpp, test/resource.cpp: Now all files
	  will be saved/read-from "ede" directory as base directory
	  if RESOURCE_DOMAIN_PREFIX wasn't given during compile
	  
	  Updated tests too

2009-02-23 13:18  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/edelib-global.h: License update

2009-02-23 13:17  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/econfig.h, edelib/edelib-global.h: econfig.h
	  renamed to edelib-global.h

2009-02-23 13:16  Sanel Zukan <karijes@users.sourceforge.net>

	* COPYING, ChangeLog, Jamconfig.in, Jamfile, Jamrules,
	  configure.in, doc/Jamfile, edelib/Color.h, edelib/Config.h,
	  edelib/DateTime.h, edelib/Debug.h, edelib/DesktopFile.h,
	  edelib/DirWatch.h, edelib/Directory.h, edelib/EdbusConnection.h,
	  edelib/EdbusContainer.h, edelib/EdbusData.h, edelib/EdbusDict.h,
	  edelib/EdbusError.h, edelib/EdbusList.h, edelib/EdbusMessage.h,
	  edelib/EdbusObjectPath.h, edelib/ExpandableGroup.h,
	  edelib/File.h, edelib/FontChooser.h, edelib/IconChooser.h,
	  edelib/IconTheme.h, edelib/List.h, edelib/Listener.h,
	  edelib/MessageBox.h, edelib/MimeType.h, edelib/Missing.h,
	  edelib/Namespace.h, edelib/Nls.h, edelib/Regex.h,
	  edelib/Resource.h, edelib/Run.h, edelib/SevenSeg.h,
	  edelib/Sipc.h, edelib/StrUtil.h, edelib/String.h,
	  edelib/TableBase.h, edelib/Util.h, edelib/Version.h.in,
	  edelib/Window.h, edelib/XSet.h, edelib/XSettingsClient.h,
	  edelib/XSettingsCommon.h, edelib/XSettingsManager.h,
	  examples/Jamfile, m4/datetime.m4, m4/dbus.m4, m4/fltk.m4,
	  m4/jam.m4, m4/libxpm.m4, m4/mime.m4, m4/nls.m4, m4/notify.m4,
	  m4/pkg.m4, m4/shared.m4, m4/sound.m4, m4/stl.m4, m4/various.m4,
	  m4/xlib.m4, src/Color.cpp, src/Config.cpp, src/DateTime.cpp,
	  src/Debug.cpp, src/DesktopFile.cpp, src/DirWatch.cpp,
	  src/DirWatchFam.cpp, src/DirWatchGeneric.cpp,
	  src/DirWatchInotify.cpp, src/Directory.cpp,
	  src/EdbusConnection.cpp, src/EdbusData.cpp, src/EdbusDict.cpp,
	  src/EdbusError.cpp, src/EdbusList.cpp, src/EdbusMessage.cpp,
	  src/EdbusObjectPath.cpp, src/ExpandableGroup.cpp, src/File.cpp,
	  src/FontChooser.cpp, src/IconChooser.cpp, src/Jamfile,
	  src/Listener.cpp, src/MessageBox.cpp, src/MimeType.cpp,
	  src/Missing.c, src/Nls.cpp, src/Regex.cpp, src/Resource.cpp,
	  src/Run.cpp, src/SevenSeg.cpp, src/Sipc.cpp, src/StrUtil.cpp,
	  src/String.cpp, src/Util.cpp, src/Window.cpp, src/XSet.cpp,
	  src/XSettingsClient.cpp, src/XSettingsCommon.cpp,
	  src/XSettingsManager.cpp, test/Jamfile, tools/Jamfile,
	  tools/edelib-dbus-introspect/Jamfile: stl.m4, sound.m4, XSet.h,
	  XSet.cpp: removed
	  All over the code changed license to LGPL, coding standard
	  rechecked
	  Added COPYING file with LGPL license

2009-02-23 08:56  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Run.h, src/Run.cpp: Removed 'root' option, a
	  planned option for (possible)
	  running program as root, where password would be prompted with
	  dialog;
	  planned to be implemeted as external program; also shell path
	  will be
	  first read from $SHELL variable, then /bin/sh will be executed
	  
	  Added run_program_fmt() for printf-like formatted command

2009-02-19 07:54  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Resource.h, m4/libxpm.m4, src/Resource.cpp,
	  test/resource.cpp: s/find_dir/find_data and changed concept; it
	  should seach through
	  the data directories and (now) will search anything, like
	  directory, file, etc.
	  
	  updated tests
	  
	  refactored load() function

2009-02-18 16:16  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Resource.h, src/Resource.cpp,
	  test/resource.cpp: added find_config() and find_dir() functions;
	  they will search for paths in XDG dirs, according to given search
	  order
	  tests for find_config() and find_dir()

2009-01-26 12:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, Jamrules, test/Jamfile:
	  s/CFLAGS/CCFLAGS; jam uses CCFLAGS
	  fixed GenLa action so it leaves comments
	  small tweaks in SharedLibraryFromObjects rule
	  let xsettings.cpp receive flags too

2009-01-22 14:52  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, edelib/econfig.h: Added
	  HAVE_EDELIB_BASE_CONFIG_H so it can be included
	  only when edelib gets compiled so symbols in edelib/_conf.h don't
	  collide
	  with ones in ede2 config.h or user one

2009-01-20 11:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Config.cpp: Fixed issue due retrieving double and
	  float numbers on different locales

2008-12-29 15:55  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/List.h, test/list.cpp: edelib/List.h: removing
	  comb_sort(); completed specialization code, but
	  not used yet; somehow it generates bigger code
	  
	  test/list.cpp: added test for sorting pointers and exposed
	  current bug
	  in list::sort() method

2008-10-07 09:22  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/DateTime.cpp: Removes assertions; besides they are
	  unneeded,
	  day_name() would assert if day was larger than 7 (bad, I know)

2008-10-06 15:34  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/econfig.h: Seems that class visibility is
	  working at gcc >= 4.0

2008-10-06 12:36  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamfile, edelib/Config.h, edelib/DesktopFile.h,
	  edelib/DirWatch.h, edelib/EdbusConnection.h, edelib/EdbusData.h,
	  edelib/EdbusDict.h, edelib/EdbusList.h, edelib/EdbusMessage.h,
	  edelib/EdbusObjectPath.h, edelib/FontChooser.h, edelib/List.h,
	  edelib/MessageBox.h, edelib/Regex.h, edelib/SevenSeg.h,
	  edelib/Sipc.h, edelib/String.h, edelib/TableBase.h,
	  edelib/TiXml.h, edelib/XSettingsClient.h,
	  edelib/XSettingsCommon.h, edelib/XSettingsManager.h,
	  edelib/econfig.h: de-templatized ListNode; this yields a smaller
	  binary files that uses list
	  E_EXPORT, E_NO_EXPORT and EDELIB_NO_API added
	  EDELIB_API now on gcc is E_EXPORT
	  let public classes and functions use EDELIB_API

2008-10-03 10:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Util.h, src/IconChooser.cpp, src/Util.cpp,
	  test/util.cpp: edelib/Util.h:
	  src/Util.cpp: removed build_dirname() and reimplemented
	  build_filename() to not use tokenizer
	  test/util.cpp: tests update
	  src/IconChooser.cpp: fixed the same issue as ExpandableGroup.cpp
	  had

2008-10-02 08:33  Sanel Zukan <karijes@users.sourceforge.net>

	* test/UnitTest.cpp, test/UnitTest.h, test/run_tests.cpp,
	  test/scripts, test/scripts/cdash-generate,
	  test/scripts/min-elapsed.py, test/scripts/put.py: Added CDash
	  output format support.
	  Added scripts to submit results to CDash servers. Not used yet

2008-10-02 08:15  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, TODO, edelib/Util.h, src/ExpandableGroup.cpp,
	  src/IconTheme.cpp, src/Util.cpp, src/Window.cpp,
	  src/XSettingsClient.cpp, test/util.cpp: src/ExpanadableGroup.cpp:
	  do not reorder childs if group is not shown
	  src/IconTheme.cpp:
	  src/XSettingsClient.cpp: s/EASSERT/E_ASSERT, s/EDEBUG/E_DEBUG,
	  s/EWARNING/E_WARNING
	  src/Window.cpp: small code reordering
	  TODO: entry
	  edelib/Util.h:
	  src/Util.cpp: build_filename() and build_dirname() should not
	  contain separator parameter
	  test/util.cpp: updated tests

2008-09-24 10:40  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, m4/dbus.m4, m4/fltk.m4,
	  src/Resource.cpp: m4/dbus.m4: if disabled, don't leave spaces,
	  jam doesn't like it
	  
	  configure.in: the same applies for FLTK; also fixed issue with
	  CFLAGS
	  and CXXFLAGS where AC_PROG_CC and AC_PROG_CXX would secretly add
	  '-O2' and '-g' flags
	  
	  m4/fltk.m4: added --with-fltk-path configure option to specify
	  alternative FLTK installation
	  
	  src/Resource.cpp: use temporary when substring is used or we will
	  get a
	  junk as name

2008-09-23 15:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, Jamrules, examples/Jamfile, src/Jamfile,
	  src/Missing.c, src/Resource.cpp, src/Run.cpp, src/Sipc.cpp,
	  src/String.cpp: src/String.cpp: chcpy() made static
	  
	  src/String.cpp, src/Run.cpp, src/Sipc.cpp, src/Resource.cpp: fix
	  warnings from Sun's compiler
	  
	  src/Jamfile, examples/Jamfile: let files depending on FLTK uses
	  FLTK_CFLAGS
	  
	  Jamrules: STDLIB variable will contain '-l' flag in case it is
	  placed in
	  non-standard path so search directories can be added (e.g. in
	  case of
	  different compiler)

2008-09-22 12:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules, TODO, doc/Doxyfile.in, edelib/Sipc.h,
	  edelib/TableBase.h, src/xdgmime/xdgmime.c, test/mime.cpp:
	  edelib/Sipc.h: updated documentation
	  
	  test/mime.cpp: test for text/html mime now points to
	  test/perf/asciidoc.html
	  instead to removed doc/footer.html
	  
	  TODO: added/removed entry
	  
	  Jamrules: let 'jam distclean' remove Doxyfile too
	  
	  doc/Doxyfile.in: now documentation should show correct include
	  path
	  
	  edelib/TableBase.h: updated documentation
	  
	  src/xdgmime/xdgmime.c: changed order of guessing so directories
	  with
	  "extensions" or extension-like names in the name doesn't be
	  recognized
	  as files or unknown types e.g. '.kde', '.e' or '.emacs.d'

2008-09-15 10:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/ExpandableGroup.h, edelib/MessageBox.h,
	  edelib/SevenSeg.h, edelib/Window.h, examples/dirwatch.cpp,
	  examples/egroup.cpp, examples/egroup2.cpp,
	  examples/icon_chooser.cpp, examples/list_view.cpp,
	  examples/sevenseg.cpp, examples/xsettings_setter.cpp,
	  src/DirWatchFam.cpp, src/DirWatchInotify.cpp,
	  src/EdbusConnection.cpp, src/ExpandableGroup.cpp,
	  src/FontChooser.cpp, src/IconChooser.cpp, src/MessageBox.cpp,
	  src/SevenSeg.cpp, src/Window.cpp, src/XSettingsClient.cpp: A
	  massive fix of FLTK headers inclusion; recent reports shows that
	  some distros does not install FLTK correctly so only .H files are
	  present, although .h symlinks should be created too

2008-09-15 09:56  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, Jamrules, configure.in,
	  edelib/TableBase.h, examples/Jamfile, examples/list_view.cpp,
	  m4/dbus.m4, m4/fltk.m4, m4/initjamfile.m4, m4/libxpm.m4,
	  m4/notify.m4, m4/various.m4, src/Jamfile, src/TableBase.cpp,
	  test/Jamfile, test/xdg/Jamfile,
	  tools/edelib-dbus-introspect/Jamfile: (in reverse order)
	  
	  TableBase.{h,cpp}: added TableBase based on Erco's Fl_Table
	  widget
	  
	  examples/list_view.cpp: TableBase sample
	  
	  Jamconfig.in, m4/initjamfile.m4: added localedir var
	  
	  Jamconfig.in, Jamrules, src/Jamrules: s/DBUSFLAGS/DBUS_CFLAGS,
	  s/DBUSLIBS/DBUS_LIBS
	  m4/libxpm.m4: use LIBXPM_LIBS variable
	  m4/notify.m4: use LIBFAM_LIBS variable
	  
	  all over: s/FLTKFLAGS/FLTK_CFLAGS, s/FLTKLIBS/FLTK_LIBS,
	  s/FLTKLIBS_FULL/FLTK_LIBS_FULL, s/DEBUGFLAGS/DEBUG_FLAGS,
	  s/OPTIMFLAGS/OPTIM_FLAGS, removing ALLFLAGS
	  
	  m4/notify.m4: remove unneeded newline in ./configure --help
	  output
	  
	  m4/dbus.m4, src/Jamfile: added --disable-dbus and implement
	  behaviour through the code

2008-09-12 12:23  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Missing.h, examples/Jamfile,
	  examples/sipc_client.cpp, examples/sipc_server.cpp, m4/mime.m4,
	  src/DesktopFile.cpp, src/FontChooser.cpp, src/Missing.c,
	  src/rx/regex.h, src/rx/regex_internal.h, test/missing.cpp:
	  examples/Jamfile: added missing sipc_client.cpp and
	  sipc_server.cpp
	  
	  examples/sipc_*.cpp: small output beautification
	  
	  edelib/Missing.h, src/Missing.c: implemented edelib_scandir() and
	  edelib_alphasort()
	  
	  test/missing.c: edelib_scandir() and edelib_alphasort() test
	  
	  src/DesktopFile.cpp, src/FontChooser.cpp: NULL-ef few variables
	  so when
	  compiled with optimizations, compiled does not report
	  'uninitialized' stuff
	  
	  src/FontChooser.cpp: update for new debug macros
	  
	  src/rx/{regex_internal.h, regex.h}: added __extension__ to shut
	  up warnings
	  
	  m4/mime.m4: dumped using '-z' for empty string testing; csh does
	  not understainds it

2008-09-11 17:43  Sanel Zukan <karijes@users.sourceforge.net>

	* test/perf/stringtok.cpp: Missed this file in last commit

2008-09-11 17:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules, edelib/Listener.h, edelib/Sipc.h,
	  edelib/econfig.h, examples/efile.cpp, examples/elinks.cpp,
	  examples/font_chooser.cpp, examples/icon_chooser.cpp,
	  examples/sipc_client.cpp, examples/sipc_server.cpp,
	  examples/xsettings_client.cpp, examples/xsettings_setter.cpp,
	  src/Jamfile, src/Listener.cpp, src/Sipc.cpp, test/color.cpp,
	  test/conf.cpp, test/datetime.cpp, test/dbus.cpp,
	  test/desktopfile.cpp, test/directory.cpp, test/file.cpp,
	  test/list.cpp, test/mime.cpp, test/regex.cpp, test/resource.cpp,
	  test/string.cpp, test/strutil.cpp, test/util.cpp,
	  test/xdg/icon-theme.cpp, test/xml.cpp, test/xsettings.cpp,
	  tools/edelib-dbus-introspect/edelib-dbus-introspect.cpp: (in
	  reversed order)
	  
	  Jamrules: Solaris (at least SunOS 2.7 with gcc 3.2) uses
	  different
	  options for creating shared libraries
	  
	  Jamrules: modified MakeTest rule too to link against libxnet on
	  Solaris
	  when binaries are linked with shared edelib
	  
	  examples/: added sipc_server.cpp and sipc_client.cpp examples
	  
	  Added Listener.{h,cpp} with listener_xxx functions; they should
	  be
	  FLTK loop without FLTK, a bunch of functions that monitors
	  descriptors and
	  via loop report callbacks
	  
	  Added Sipc.{h,cpp}, implementation of very simple IPC scheme
	  
	  edelib/econfig.h: added ';' to be a part of EDELIB_NS_USE macro
	  so, when
	  is disable, compiler does not reports how ';' exists without
	  statement
	  
	  examples/*, test/xdg/*, test/*, tools/edelib-dbus-introspect/*:
	  updates
	  changes in EDELIB_NS_USE macro

2008-09-08 11:02  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, INSTALL, README, edelib/Nls.h, src/Config.cpp,
	  src/Nls.cpp: edelib/Nls.h, src/Nls.cpp: refactoring
	  src/Config.cpp: updated too
	  README, INSTALL: a small update

2008-09-03 07:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/econfig.h: Added EDELIB_NS_USING() macro

2008-09-02 11:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules, configure.in, m4/shared.m4: Jamrules:
	  cleaned commented code left from libtool version;
	  InstallSharedLibrary and UninstalSharedLibrary does not use
	  libtool any
	  more; jam build will also create .la file for libtool when shared
	  library
	  creation was told
	  
	  configure.in, shared.m4: removed parts needed for libtool

2008-09-01 11:23  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/econfig.h, examples/efile.cpp,
	  examples/elinks.cpp, examples/font_chooser.cpp,
	  examples/icon_chooser.cpp, examples/xsettings_client.cpp,
	  examples/xsettings_setter.cpp, src/ExpandableGroup.cpp,
	  src/IconChooser.cpp, test/color.cpp, test/conf.cpp,
	  test/datetime.cpp, test/dbus.cpp, test/desktopfile.cpp,
	  test/directory.cpp, test/file.cpp, test/list.cpp, test/mime.cpp,
	  test/perf/stringtok.cpp, test/regex.cpp, test/resource.cpp,
	  test/string.cpp, test/strutil.cpp, test/util.cpp,
	  test/xdg/icon-theme.cpp, test/xml.cpp, test/xsettings.cpp,
	  tools/edelib-dbus-introspect/edelib-dbus-introspect.cpp:
	  edelib/econfig.h: s/EDELIB_NAMESPACE_USE/EDELIB_NS_USE; removed
	  unused EDELIB_NAMESPACE macro
	  
	  test/strutil.cpp: removed unneeded stdio.h inclusion
	  
	  examples/xsettings_setter.cpp,
	  examples/xsettings_client.cpp,
	  examples/font_chooser.cpp,
	  examples/efile.cpp,
	  examples/elinks.cpp,
	  test/xdg/icon-theme.cpp,
	  test/perf/stringtok.cpp,
	  test/color.cpp,
	  test/list.cpp,
	  test/xml.cpp,
	  test/resource.cpp,
	  test/directory.cpp,
	  test/desktopfile.cpp,
	  test/dbus.cpp,
	  test/file.cpp,
	  test/string.cpp,
	  test/conf.cpp,
	  test/mime.cpp,
	  test/strutil.cpp,
	  test/xsettings.cpp,
	  test/regex.cpp,
	  test/datetime.cpp,
	  test/util.cpp,
	  tools/edelib-dbus-introspect/edelib-dbus-introspect.cpp: s/using
	  namespace edelib/EDELIB_NS_USE
	  
	  src/IconChooser.cpp: icons will have label and tooltip
	  
	  src/ExpandableGroup.cpp: let vscroll_cb() be static

2008-08-26 14:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, examples/combobox.cpp: examples/combobox.cpp: removed;
	  very old code

2008-08-26 08:27  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, m4/initjamfile.m4, src/Config.cpp,
	  tools/install-sh: src/Config.cpp: s/EASSERT/E_ASSERT; save() will
	  not leave blank line at
	  the end of file; refactored some pieces
	  
	  m4/initjamfile.m4: replaced with modified version from ede2
	  module
	  
	  configure.in: EDELIB_INIT_JAM moved at the end (before
	  substitutions)
	  so in case values are changed in configure.in, it can catch them
	  
	  tools/install-sh: removed
	  
	  configure.in: removed needs for install-sh and AC_PROG_INSTALL,
	  edelib
	  is installed via jam facility; also removed clearing multiple
	  ending
	  slashes in $prefix since m4/initjamfile.m4 already have code
	  doing that

2008-08-25 13:14  Sanel Zukan <karijes@users.sourceforge.net>

	* examples/Jamfile: Notify jam about directory changes

2008-08-25 13:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, INSTALL, Jamconfig.in, Jamfile, Jamrules,
	  configure.in, edelib/DesktopFile.h, edelib/Sound.h, examples,
	  m4/libxpm.m4, src/DesktopFile.cpp, src/Jamfile, src/Sound.cpp,
	  test/Jamfile, test/examples, test/old, test/xdg,
	  test/xdg/Jamfile, test/xdg/README, test/xdg/icon-theme.cpp,
	  test/xdg/icon-theme.py, test/xdg/run.sh,
	  tools/edelib-dbus-introspect/edelib-dbus-introspect.cpp: In
	  reverse order:
	  
	  * edelib/Sound.h, src/Sound.cpp: removed
	  
	  * src/Jamfile: dumped Sound.cpp
	  
	  * Jamconfig.in, configure.in, test/xdg/Jamfile, test/Jamfile,
	  test/edelib-dbus-introspect/Jamfile: removed SOUND variable and
	  substitute variable
	  
	  * configure.in: remove EDE_SOUND macro
	  
	  * edelib/DesktopFile.h, src/DesktopFile.cpp: added create_new()
	  for creating .desktop files from scratch or clearing currently
	  hold data,
	  which was issue before. Also, some code clarifications with
	  E_RETURN_XXX
	  functions.
	  
	  * Jamrule: cleaned SymLink rule and SymLink1 action
	  
	  * test/examples: moved in source root directory
	  
	  * INSTALL: refreshing
	  
	  * test/old: removed
	  
	  * test/xdg: added; a directory where some XDG specifications are
	  compared
	  with pyxdg for correctnes
	  
	  * m4/libxpm.m4: added missing 'FLTKLIBS_FULL="$FLTKLIBS_FULL
	  -lXpm"'
	  
	  * Jamrule, Jamconfig.in: replaced libtool backed for shared
	  library creating with handcoded
	  
	  * Jamrule: InstallSharedLibrary will install library with
	  .so.X.X.X
	  extension, not .so as before
	  
	  * tools/edelib-dbus-introspect/Jamfile, test/xdg/Jamfile: let
	  missing libraries
	  be linked if shared library is requested

2008-08-12 17:23  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, edelib/Nls.h, src/Config.cpp,
	  src/Nls.cpp, src/Util.cpp, test/resource.cpp: edelib/Nls.h,
	  src/Nls.cpp: added set_locale_to_c() and set_locale_from_c()
	  
	  src/Config.cpp: replaced TODOs with above functions so locale
	  specific
	  functions can query values expected for C locale
	  
	  src/Util.cpp: static-fied some internal functions
	  
	  test/resource.cpp: corrected file name to be removed
	  
	  configure.in: added AC_ARG_VAR() to display info for PKG_CONFIG
	  and PKG_CONFIG_PATH

2008-08-10 17:40  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamfile, Jamrules, configure.in, edelib-config.in,
	  edelib-dbus.pc.in, edelib.pc.in, edelib/Config.h, src/Config.cpp,
	  src/IconTheme.cpp, src/Resource.cpp: src/Resource.cpp: Some
	  E_RETURN_VAL_IF_FAILED addition
	  ConfigEntry and ConfigSection classes are moved to Config.cpp
	  Added edelib.pc.in and edelib-dbus.pc.in for pkg-config,
	  replacing edelib-config which is pretty broken
	  Modified Jamfile so above files gets installed and removed
	  edelib-config installing
	  Trim blank characters from tokenized values in Directories key
	  (IconTheme)

2008-08-07 13:58  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/IconChooser.h, edelib/IconTheme.h,
	  src/IconChooser.cpp, src/IconTheme.cpp, src/Resource.cpp,
	  test/resource.cpp: Added icon_chooser() that can use loaded icon
	  theme
	  Fixed a bug in Resource when malformed data is tried to be read
	  Added test for that bug too
	  Added get_all() in IconTheme so one can get all icon filenames
	  with given size and context in current theme
	  Also added theme_name() to get the name of currently used theme

2008-08-05 14:10  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, TODO, edelib/EdbusConnection.h, edelib/File.h,
	  src/EdbusConnection.cpp, src/File.cpp, test/file.cpp: Added
	  file_executable with tests
	  
	  EdbusConnection.cpp some debug output got newlines
	  
	  Changed way register_object() in EdbusConnection behaves; now if
	  none
	  object was registered, all data can be listened; otherwise only
	  for that object
	  
	  TODO entry
	  
	  Better matching interface for signals and method in
	  EdbusConnection, hopefully

2008-08-01 18:31  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, test/perf/stringtok.ss: Added test/perf/stringtok.ss
	  as comparison against chicken scheme compiler

2008-07-14 13:39  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, tools/Jamfile, tools/edelib-dbus-introspect/Jamfile,
	  tools/edelib-dbus-xml2cpp: Removed edelib-dbus-xml2cpp
	  Made edelib-dbus-introspect compileable

2008-06-19 12:58  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/EdbusMessage.h: Fixed a typo with
	  __EDBUSMESSAGE_H__ in EdbusMessage.h

2008-06-04 16:05  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* src/Resource.cpp: Create directory for Resource recursively if it
	  doesn't exist

2008-06-04 13:39  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/Config.cpp, test/conf.cpp: Fixed bool value checks
	  in Config class (thanks to Vedran note)
	  Added that to tests too

2008-06-03 21:33  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* src/Resource.cpp: Forgot the implementation of bool get()

2008-06-03 17:02  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* src/MessageBox.cpp: Revert last change that made some dialogs
	  non-modal. Dialogs became modal in revision 2071. Password,
	  alert, input windows should *always* be modal (for compatibility
	  with fltk), users that need non-modal dialogs are free to use
	  MessageBox class.

2008-05-30 18:13  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* src/ExpandableGroup.cpp: Fix resizing of ExpandableGroup when in
	  Fl_Tile

2008-05-29 12:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules: Forgot to update Jamrule and it's MakeTest
	  for dbus usage via "use-dbus" flag

2008-04-07 15:32  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, src/EdbusData.cpp, src/EdbusList.cpp, test/Jamfile,
	  test/dbus.cpp: Fixed assertion check in is_double() in EdbusData
	  Fixed remove_all() in EdbusList
	  Test for dbus code. Not completed....

2008-03-26 11:42  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, doc/Jamfile: Let 'jam distclean' clean Doxyfile too

2008-03-24 13:52  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, Jamfile, Jamrules, configure.in,
	  doc/Jamfile, edelib-config.in, edelib/EdbusConnection.h,
	  edelib/EdbusObjectPath.h, m4/shared.m4, src/Jamfile,
	  test/Jamfile, test/examples/Jamfile, tools/Jamfile: Rewamped
	  build stuff. Now shared library is build via libtool
	  EdbusConnection.h and EdbusObjecPath.h docs todo

2008-03-18 14:28  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusError.h, edelib/EdbusMessage.h: Hm... I'm not sure
	  why compiler can't resolve ::DBusMessage and ::DBusError
	  inside edelib namespace. I'm starting to hate this language...

2008-03-18 12:56  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/dbus.m4, test/examples/Jamfile: Fixup for long long and
	  -pedantic stuff
	  Compilation fixup for examples that require image libraries

2008-03-18 12:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, Jamrules, configure.in,
	  edelib-config.in, edelib/EdbusConnection.h,
	  edelib/EdbusContainer.h, edelib/EdbusData.h, edelib/EdbusDict.h,
	  edelib/EdbusError.h, edelib/EdbusList.h, edelib/EdbusMessage.h,
	  edelib/EdbusObjectPath.h, edelib/ExpandableGroup.h,
	  edelib/FontChooser.h, edelib/IconChooser.h, edelib/List.h,
	  edelib/MessageBox.h, edelib/SevenSeg.h, edelib/Window.h,
	  m4/dbus.m4, m4/fltk.m4, src/EdbusConnection.cpp,
	  src/EdbusData.cpp, src/EdbusDict.cpp, src/EdbusError.cpp,
	  src/EdbusList.cpp, src/EdbusMessage.cpp, src/EdbusObjectPath.cpp,
	  src/Jamfile, test/Jamfile: Removed tests for STL
	  Improved edelib-config
	  Added FLTKLIBS and FLTKLIBS_FULL expansions
	  Added dbus flags and libs expansions
	  Merged dbus code into edelib
	  Doing some grouping with documentation; things are becommimng
	  messy

2008-03-18 12:39  Sanel Zukan <karijes@users.sourceforge.net>

	* src/EdbusObjectPath.cpp: Merging dbus code into edelib

2008-03-18 12:38  Sanel Zukan <karijes@users.sourceforge.net>

	* src/EdbusMessage.cpp: Merging dbus code into edelib

2008-03-18 12:38  Sanel Zukan <karijes@users.sourceforge.net>

	* src/EdbusList.cpp: Merging dbus code into edelib

2008-03-18 12:38  Sanel Zukan <karijes@users.sourceforge.net>

	* src/EdbusError.cpp: Merging dbus code into edelib

2008-03-18 12:37  Sanel Zukan <karijes@users.sourceforge.net>

	* src/EdbusDict.cpp: Merging dbus code into edelib

2008-03-18 12:37  Sanel Zukan <karijes@users.sourceforge.net>

	* src/EdbusData.cpp: Merging dbus code into edelib

2008-03-18 12:37  Sanel Zukan <karijes@users.sourceforge.net>

	* src/EdbusConnection.cpp: Merging dbus code into edelib

2008-03-18 12:36  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusObjectPath.h: Merging dbus code into edelib

2008-03-18 12:35  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusMessage.h: Merging dbus code into edelib

2008-03-18 12:35  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusList.h: Merging dbus code into edelib

2008-03-18 12:35  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusError.h: Merging dbus code into edelib

2008-03-18 12:34  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusDict.h: Merging dbus code into edelib

2008-03-18 12:34  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusData.h: Merging dbus code into edelib

2008-03-18 12:34  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusContainer.h: Merging dbus code into edelib

2008-03-18 12:33  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/EdbusConnection.h: Merging dbus code into edelib

2008-03-17 10:09  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, tools/Jamfile, tools/edelib-dbus-introspect,
	  tools/edelib-dbus-introspect/edelib-dbus-introspect.cpp,
	  tools/edelib-dbus-xml2cpp, tools/edelib-dbus-xml2cpp/Jamfile,
	  tools/edelib-dbus-xml2cpp/edelib-dbus-xml2cpp.cpp: Added some
	  tools for easier handling with dbus stuff.
	  Will not be used untill dbus code is merged into edelib
	  Btw. edelib-dbus-xml2cpp is not completed yet

2008-03-13 13:03  Sanel Zukan <karijes@users.sourceforge.net>

	* src/DesktopFile.cpp: Commit DesktopFile changes too

2008-03-13 13:02  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/List.h, test/list.cpp: Added == and != opeators
	  in list with tests
	  Added const_iterator in list. Changed DesktopFile.cpp to reflect
	  that too

2008-03-06 12:50  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, test/perf/stringtok.cpp, test/perf/strsplit.cpp,
	  test/perf/strsplit.h: Updated test/perf/stringtok.cpp to the
	  latest changes
	  Added strsplit.{h,cpp} as comparison with stringtok()

2008-03-05 12:00  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Directory.h, src/Directory.cpp,
	  src/IconTheme.cpp, src/Resource.cpp, test/directory.cpp: Removed
	  dir_remove_rec(). Hoping some day I will add better code.
	  
	  Replaced DIR_SEPARATOR and DIR_SEPARATOR_STR with E_DIR_SEPARATOR
	  and
	  E_DIR_SEPARATOR_STR all over the code
	  
	  Added dir_create_with_parents() with the tests

2008-03-04 16:01  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/dbus.m4: Was commited testing (non working version). This
	  fixes that

2008-03-04 14:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog: Typing fix

2008-03-04 14:48  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, m4/dbus.m4, m4/findfile.m4, m4/pkg.m4:
	  Added findfile.m4, pkg.m4 and dbus.m4 macros. Mostly for D-BUS
	  detection. D-BUS will be first detected via pkg-config; if
	  pkg-config does
	  not exists, configure will manually scan known places for headers
	  and libraries

2008-02-26 19:41  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/geniconmap: Made it more portable

2008-02-26 12:57  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, TODO, edelib/DateTime.h, edelib/DesktopFile.h,
	  edelib/File.h, edelib/Namespace.h, src/DateTime.cpp,
	  test/datetime.cpp, test/util.cpp, tools/geniconmap: Completed
	  Time class with removal of millisecond member
	  
	  More tests for Time class
	  
	  In tests/util.cpp, before environmet vars are changed, they are
	  saved
	  first and later restored. That also caused removal of warning
	  message
	  
	  Revised TODO file
	  
	  Revised DesktopFile.h documentation
	  
	  Added geniconmap file for creating mimetype-icon mappings

2008-02-25 16:27  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/DateTime.h, src/DateTime.cpp: Documented Time
	  class
	  
	  Added system_set() in Time class
	  
	  Time member set() returns nothing now
	  
	  Small addition in Date's system_set() so settimeofday() don't
	  fail

2008-02-25 11:46  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Debug.h, edelib/Window.h, src/Debug.cpp,
	  src/Window.cpp, src/xdgmime/xdgmime.h: (changes are in reverse
	  order)
	  
	  Added E_RETURN_IF_FAIL and E_RETURN_VAL_IF_FAIL macros
	  
	  Little reformatting in xdgmime.h
	  
	  Fixed issue with update_settings() in Window.cpp; when client
	  calls this
	  with receiver uid, receiver will get event even if client
	  immediately
	  hides itself. Previously this wasn't the case.
	  
	  Added double_buffer() member in Window
	  
	  Revised Window documentation and cleaned unused code in
	  Window.cpp
	  
	  Added _edelib_assert()
	  
	  Default debug macros are E_DEBUG, E_ASSERT, E_STRLOC, E_FATAL,
	  althought
	  rest of the code need to be changed to reflect this changes
	  
	  Pretty print when stack is dumped
	  
	  Efatal (and the rest) is changed to _edelib_fatal() and similar

2008-02-18 14:41  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Missing.h, src/Missing.c, test/Jamfile,
	  test/missing.cpp: Added missing.cpp in test suite so it can test
	  various functions form Missing.{h,cpp}
	  Added edelib_strlcpy() with tests
	  Added edelib_strlcat() with tests

2008-02-11 14:10  Sanel Zukan <karijes@users.sourceforge.net>

	* test/examples/font_chooser.cpp: Added missing example for font
	  chooser

2008-02-11 14:03  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Window.cpp: Revert formatting...

2008-02-11 14:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules, edelib/FontChooser.h, edelib/Regex.h,
	  edelib/Resource.h, edelib/String.h, src/Color.cpp,
	  src/Config.cpp, src/Jamfile, src/Resource.cpp, src/String.cpp,
	  src/Window.cpp, test/Jamfile, test/resource.cpp, test/string.cpp:
	  (in reverse order):
	  
	  In Config.cpp made static functions that are visible only inside
	  this file
	  In Jamrules removed EXEMODE from installation; jam by default set
	  it to 711
	  Resource will not add '/ede/' to XDG paths. This should be set
	  via XDG env variables
	  Modified Resource test too
	  Removed old comment from color_fltk_to_rgb
	  Made static hex2int() in Color.cpp
	  Some Config output formating tuning
	  Added Resource class
	  Fixed documentation tag in Regex.h
	  Added replace(char, char) in String with tests

2008-02-01 12:50  Sanel Zukan <karijes@users.sourceforge.net>

	* src/FontChooser.cpp: Reordering...

2008-02-01 12:32  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, fl/font_chooser.fl, src/FontChooser.cpp,
	  test/examples/Jamfile: Improved font chooser both in dialog and
	  font scanning. Dialog contains
	  'styles' for regular/bold/italic/... and font scanning will try
	  to group
	  fonts into families. It is not perfect since can miss some fonts,
	  especailly when there are a huge number of fonts, yielding that
	  regular
	  points to bold face or similar, but I don't know can it be better
	  due bad
	  FLTK font list engine.
	  
	  Added small test for font chooser.

2008-01-21 19:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/FontChooser.h, src/FontChooser.cpp: Fixed
	  crashing in font chooser
	  Completed (at some point) font chooser documentation
	  Added default_name and default_size as parameters for
	  font_chooser() function

2007-12-17 11:35  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Missing.h, edelib/StrUtil.h, src/DateTime.cpp,
	  src/Jamfile, src/Missing.c, src/StrUtil.cpp, src/rx/regex.h,
	  test/conf.cpp, test/mime.cpp, test/util.cpp: Added Missing.{h,c}
	  with various functions that are missing on other unix'es beside
	  linux
	  
	  Added some #ifdefs for __restrict_arr in rx/regex.h since older
	  gcc
	  versions will not correctly resolve 'regmatch_t
	  __pmatch[__restrict_arr]' construct

2007-12-07 16:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, INSTALL, Jamconfig.in, Jamfile, Jamrules, README,
	  configure.in, doc/Jamfile, doc/footer.html, doc/genreadme,
	  doc/header.html, doc/index.dox, doc/style.css, m4/notify.m4,
	  src/xdgmime/xdgmimeglob.c, test/Jamfile: Removed check for awk
	  
	  Removed check for kqueue
	  
	  Use LocalDepends and LocalClean in Jamrules
	  
	  Let mime_type be NULL when new node was created in xdgmimeglob.c.
	  This should assure we don't get odd crashes in xdgmime
	  
	  Generating README gives more problems than it solves it
	  (especially for
	  platforms without gawk by default) so genreadme and index.dox are
	  removed
	  and README and INSTALL are added
	  
	  Removed unused files from docs too

2007-12-06 14:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamfile, Jamrules, m4/mime.m4, src/FontChooser.cpp,
	  src/IconChooser.cpp, src/Window.cpp, test/Jamfile: Let callbacks
	  from IconChooser and FontChooser be static so shared library
	  linker don't go crazy
	  Better compilation of test suite when edelib was compiled without
	  X11 and FLTK support
	  Fixed uninitialized variable valgrind detected in Window class
	  jam install now finaly works as should be
	  Let 'test' use '-z' in mime.m4, Solaris shell don't like 'test !
	  ...' construct

2007-12-03 13:35  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Directory.h, m4/datetime.m4, src/Directory.cpp,
	  src/IconChooser.cpp, src/IconTheme.cpp: Removed clear parameter
	  from dir_list
	  Added show_dots parameter in dir_list
	  dir_list() will clear list before items are added
	  Let daylight variable checks do linking not compiling only since
	  variable is externaly declared
	  Rewrote dir_list so it does not use scandir() any more due
	  portability
	  Also fixed bug where previous dir_list() didn't show '.' and '..'
	  directories
	  Replaced dir_separator() with DIR_SEPARATOR and DIR_SEPARATOR_STR

2007-11-30 17:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog: It should state 'font chooser'

2007-11-30 17:03  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/FontChooser.h, fl/font_chooser.fl,
	  src/FontChooser.cpp, src/Jamfile: Added font chooser dialog

2007-11-30 13:19  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/ComboBox.h, src/ComboBox.cpp, src/Jamfile: Removed old
	  code

2007-11-30 13:17  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, edelib/Sound.h, edelib/Window.h,
	  m4/datetime.m4, src/DateTime.cpp, src/DirWatchInotify.cpp,
	  src/Sound.cpp, src/Window.cpp: Work on Window class; now it is by
	  default double buffered,
	  inheriting Fl_Double_Window, but can be switched to Fl_Window too
	  
	  Fixed bug in DirWatchInotify where continuous events would not be
	  reported (two directories are watched, file is moved from one to
	  second
	  watched directory)
	  
	  Added create_window_xid() which do the same job as
	  Fl_X::make_xid() but
	  with function parameter where can be done work before window is
	  mapped
	  
	  icon() is now known as window_icon() so to not collide with
	  default
	  icon() member from Fl_Window
	  
	  Let ALLFLAGS contains FLTKFLAGS (in Jamconfig.in) so jam can pick
	  up
	  correctly X11 paths
	  
	  Added checks for daylight variable; FreeBSD does not have it
	  (presumably
	  other BSD's). Is this glibc extension ?
	  
	  Cleared some old code from Window.cpp
	  
	  Let SoundSystem be correctly compiled when sounds are disabled

2007-11-28 15:46  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/libxpm.m4: Import missing file

2007-11-28 15:42  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, edelib/Window.h, src/Window.cpp:
	  Implemented icon() in Window which will correctly set an titlebar
	  icon
	  with transparency. Also added libxpm.m4 for libXpm checks since
	  icon() use it.

2007-11-27 13:18  Sanel Zukan <karijes@users.sourceforge.net>

	* test/examples/dirwatch.cpp: Removed leftover from dnotify code

2007-11-27 13:12  Sanel Zukan <karijes@users.sourceforge.net>

	* test/Jamfile: Ops, removed left testing part

2007-11-27 13:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules, TODO, configure.in, edelib/DirWatch.h,
	  m4/mime.m4, m4/notify.m4, src/DirWatch.cpp,
	  src/DirWatchDnotify.cpp, src/DirWatchFam.cpp,
	  src/DirWatchGeneric.cpp, src/DirWatchInotify.cpp,
	  src/Directory.cpp, src/IconTheme.cpp, src/Jamfile, test/Jamfile:
	  (log is in reverse chronological order)
	  
	  Let jam distclean remove .jamcache and .jamhcache files
	  
	  Versioning is done in single place in configure.in
	  
	  Fixed issue in inotify DirWatch when file is moved in/out watched
	  directory so DirWatch can report
	  DW_REPORT_CREATE/DW_REPORT_DELETE
	  correctly
	  
	  Added mime.m4 which should check presence of XDG MIME database
	  
	  DirWatchFam.cpp added with FAM/Gamin implementation
	  
	  DirWatchInotify.cpp returns true if directory already registered,
	  the
	  same behaviour as for DirWatchFam.cpp
	  
	  Removed DW_DNOTIFY from DirWatch header and dirwatch.cpp example
	  
	  Removed DirWatchDnotify.cpp file
	  
	  One less entry in TODO
	  
	  DirWatchGeneric.cpp will return true for every function, so it
	  can be
	  used in code without interruption, althought will do nothing ;-)
	  
	  Removed dnotify checks in notify.m4
	  
	  Made DirWatch be compiled when FLTK is present since it depends
	  on
	  FLTK's descriptor watching code
	  
	  Handle FAMAcknowledge event too
	  
	  Removed obsolete comment from IconTheme
	  
	  Removed obsolete commented code from Directory.cpp
	  
	  In notify.m4 added checks for FAMNoExists and --enable-fam-only
	  option
	  which will force FAM usage (if exists) regardless of present
	  kernel
	  notifier
	  
	  DirWatchInotify cleanings

2007-11-20 15:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/DirWatch.h, src/DirWatch.cpp,
	  src/DirWatchDnotify.cpp, src/DirWatchGeneric.cpp,
	  src/DirWatchInotify.cpp: Updated docs for DirWatch class
	  
	  Added DirWatchInotify.cpp DirWatchGeneric.cpp and moved old
	  dnotify code
	  in DirWatchDnotify.cpp. Now desired backend will be choosen
	  during compile
	  time. As dummy fallback will be used DirWatchGeneric which will
	  do
	  nothing. dnotify is still not merged into new code and fam/kqueue
	  are
	  pending for implementation

2007-11-19 15:41  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/notify.m4: kqueue checks added in notify.m4

2007-11-19 15:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, configure.in, m4/datetime.m4, m4/dnotify.m4,
	  m4/fltk.m4, m4/initjamfile.m4, m4/jam.m4, m4/nls.m4,
	  m4/notify.m4, m4/shared.m4, m4/sound.m4, m4/stl.m4,
	  m4/various.m4, m4/xlib.m4: Replaced dnotify.m4 with notify.m4
	  where are (now) performed checks for inotify, dnotify and FAM
	  presence
	  Replaced EDE_ with EDELIB_ in *.m4 and configure.in files

2007-11-14 13:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/List.h: Removed old sort() code from list,
	  replacing with new (faster) one

2007-11-13 17:53  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/List.h, test/perf/sort.cpp: Better sorting algorithm
	  Test added too

2007-11-12 17:29  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, TODO, edelib/IconTheme.h, edelib/List.h,
	  src/IconTheme.cpp, test/list.cpp: In list added sort() method,
	  with tests
	  ICON_CONTEXT_EMBLEM added to IconTheme

2007-11-05 18:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Vector.h, test/strutil.cpp: test/strutil.cpp
	  use list now
	  Dumped vector since it was replaced by list

2007-11-05 14:54  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Window.h, src/Window.cpp: In Window added
	  another way of updating data via external (from other programs)
	  calls

2007-10-31 13:40  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Window.h, edelib/XSettingsClient.h,
	  src/Window.cpp, src/XSettingsClient.cpp, src/XSettingsCommon.cpp,
	  src/XSettingsManager.cpp: XSETTINGS code in Window
	  puts/printf cleanup from XSettingsClient
	  manager_running() added to XSettingsClient
	  More checks in Window code

2007-10-30 16:21  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Window.cpp: IconTheme shutdown...

2007-10-30 11:28  Sanel Zukan <karijes@users.sourceforge.net>

	* src/Window.cpp: Removed, for now

2007-10-30 11:02  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Window.h, edelib/XSettingsCommon.h,
	  src/IconTheme.cpp, src/Window.cpp, src/XSettingsCommon.cpp:
	  xsettings_manager_delete_setting added in XSettingsCommon.cpp
	  Small docs for Window class
	  New settings property in Window class and fixed small color
	  issues

2007-10-26 11:44  Sanel Zukan <karijes@users.sourceforge.net>

	* test/Jamfile, test/xsettings.cpp: Missed xsettings.cpp
	  Removed some testing code in Jamfile

2007-10-26 11:41  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/List.h.old: Dumped old list

2007-10-25 10:59  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/Window.h, edelib/XSettingsManager.h, src/Window.cpp,
	  src/XSettingsManager.cpp: Actually add them

2007-10-25 10:55  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/XSettingsClient.h, edelib/XSettingsCommon.h,
	  src/IconTheme.cpp, src/Jamfile, src/Sound.cpp,
	  src/XSettingsClient.cpp, src/XSettingsCommon.cpp, test/Jamfile,
	  test/examples/xsettings_client.cpp,
	  test/examples/xsettings_setter.cpp: In XSettingsManager after
	  set(), notify() must be called. This will
	  (on initial startup) keep serials to zero which is compatible
	  with
	  XSETTINGS referent implementation
	  
	  The same done for XSettingsClient
	  
	  Window class added
	  
	  Documented XSettingsClient
	  
	  Copy ctor and operator= are private in XSettingsClient
	  
	  setup_driver() guarded with USE_SOUNDS
	  
	  XSettingsManager added with documentation
	  
	  XSettingsClient now explicitly accepts Display/screen variables
	  
	  xsettings_list_find in XSettingsCommon.h should accept
	  XSettingsList* not XSettingsList**. Compiler missed this !@#$
	  
	  Added xsettings.cpp file with tests

2007-10-23 12:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/XSettingsClient.h, edelib/XSettingsCommon.h,
	  src/Jamfile, src/XSettingsClient.cpp, src/XSettingsCommon.cpp,
	  test/examples/Jamfile, test/examples/xsettings_client.cpp,
	  test/examples/xsettings_client.fl,
	  test/examples/xsettings_setter.cpp,
	  test/examples/xsettings_setter.fl: Added XSETTINGS classes.
	  Manager part missing
	  Added xsettings_setter.c, xsettings_client.c in examples

2007-09-24 11:39  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, TODO, edelib/Config.h, edelib/DesktopFile.h,
	  edelib/List.h, src/Config.cpp, src/DesktopFile.cpp,
	  src/MessageBox.cpp, src/MimeType.cpp, test/conf.cpp,
	  test/desktopfile.cpp, test/list.cpp, tools/svg2png: list have
	  front()/back()
	  Tests added too
	  Removed old commented code from MimeType
	  svg2png can detect either rsvg or inkscape if are installed and
	  use one of them
	  Added key_exist() in Config
	  exist() and key_exist() tests in config.cpp
	  Added getting/setting OnlyShowIn/NotShowIn values in DesktopFile
	  Detail tests for DesktopFile file class including above addition
	  Removed few finished entries from TODO

2007-09-18 13:58  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, m4/sound.m4, src/MessageBox.cpp: sound.m4, disable
	  checks for mad library
	  
	  Uh... finally fixed odd bug in MessageBox caused due
	  non-resizable group
	  where readqueue() would miss any event produced by child that was
	  laying
	  outside group bounds (the odd thing was for childs that was
	  partially
	  laying outsid group; part of the child inside group bounds would
	  report
	  event, but part of the same child outside those bounds would not
	  ;P)

2007-09-17 10:22  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Sound.h, src/DateTime.cpp, src/Sound.cpp,
	  test/datetime.cpp: In SoundSystem init() driver can be given
	  init() will return some status
	  Small tests in datetime.cpp

2007-09-14 11:42  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamconfig.in, edelib-config.in, test/UnitTest.cpp:
	  UnitTest have clock measurements
	  edelib-config.in tweaks

2007-09-13 15:54  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/DateTime.h, src/DateTime.cpp,
	  test/datetime.cpp: Made some Date and Time members static
	  TimeZone fix for correct time retreival for given zone
	  datetime.cpp test updated too
	  Assertion in days_in_month() for month parameter
	  ++ and -- operators in Date

2007-09-11 14:42  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/MessageBox.h: Docs update too...

2007-09-11 14:40  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib/MessageBox.h: Max buttons in dialog are 4 now

2007-09-11 14:37  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, test/datetime.cpp: Test in datetime.cpp for Vedran's
	  fix in operator>()

2007-09-11 14:00  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/MimeType.h, src/DesktopFile.cpp,
	  src/DirWatch.cpp, src/MimeType.cpp, test/list.cpp, test/mime.cpp:
	  In MimeType added subclass_of() to check mime parents
	  In DesktopFile try_exec(), strncpy known stuff ;)
	  Removed uncompileable leftower from old list name

2007-09-05 07:51  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* edelib/DateTime.h: Fix minor bug in Date::operator>

2007-09-03 12:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, TODO, edelib/DirWatch.h, edelib/List.h,
	  edelib/MessageBox.h, edelib/Sound.h, src/DirWatch.cpp,
	  src/MessageBox.cpp, src/Sound.cpp, src/ThreadableMember.h:
	  Hopefully better scanning in DirWatch. Still sucks, but less than
	  previous version.
	  
	  Sound can be run in non-blocking mode via additional thread. Not
	  fully
	  tested.
	  
	  One line less in TODO ;)
	  
	  Removed that silly List to list define; now list is used for STL
	  compatibility
	  
	  MessageBox run_plain() behaves as old run()
	  run() now returns button pressed number and closes dialog
	  set_icon() and set_theme_icon() returns status if icon was set
	  ask()/message()/etc. are modal
	  Added fd.o icon names in MessageBox
	  run() and run_plain() in MessageBox accepts flag for dialog
	  centering

2007-08-28 10:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Config.h, edelib/Directory.h, src/Config.cpp,
	  src/Directory.cpp: Added clear parameter to dir_list()
	  
	  Fixed a bug in Config; multiple load() calls would _append_ data,
	  not
	  clear previous one. Now it will do opposite. Uh...

2007-08-27 17:39  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/Ask.h, edelib/IconTheme.h, edelib/List.h,
	  edelib/MessageBox.h, edelib/Sound.h, src/Ask.cpp,
	  src/IconTheme.cpp, src/Jamfile, src/MessageBox.cpp,
	  src/Sound.cpp: Added MessageBox class
	  Added inited() to IconTheme and SoundSystem
	  message(), ask(), input(), alert(), password() in MessageBox.cpp
	  Dumped Ask.{cpp,h}

2007-08-20 13:57  Sanel Zukan <karijes@users.sourceforge.net>

	* src/DirWatch.cpp: Removed sigaction from DirWatchEntry

2007-08-20 13:32  Sanel Zukan <karijes@users.sourceforge.net>

	* src/DirWatch.cpp, src/rx/regex_internal.h, test/examples/Jamfile:
	  Made it compileable (again) on FreeBSD. Looks like gcc from
	  FreeBSD can't
	  see 'struct sigaction' correctly as type so it fails. Not fixing
	  that, for now,
	  until find better solution.
	  
	  Also let jam compile examples that does not require fltk even
	  when fltk
	  is not present.

2007-08-20 13:03  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, Jamrules, autogen.sh, edelib/Regex.h,
	  src/DirWatch.cpp, src/File.cpp, src/Jamfile, src/MimeType.cpp,
	  src/Regex.cpp, src/String.cpp, src/Util.cpp, src/rx,
	  src/rx/regcomp.c, src/rx/regex.c, src/rx/regex.h,
	  src/rx/regex_internal.c, src/rx/regex_internal.h,
	  src/rx/regexec.c, src/xdgmime/xdgmime.c, src/xdgmime/xdgmime.h,
	  test/Jamfile, test/examples/Jamfile, test/examples/dirwatch.cpp,
	  test/examples/efile.cpp, test/examples/elinks.cpp,
	  test/regex.cpp, test/util.cpp: A lot of changes. This is a list
	  (in reverse chronological order):
	  
	  MimeType will now correctly use XDG_DATA_DIRS to search for
	  comments
	  
	  Previous MimeType addon sucked; reimplemented better in xdgmime
	  via xdg_mime_find_data(). MimeType changed to reflect this
	  
	  Added efile as sample
	  
	  GetOS added to Jamrules
	  
	  Added regex copy (from sed) with few compilation/warning
	  modifications
	  
	  split() in regex with tests
	  
	  Documented Regex class
	  
	  More tests in tests/regex.cpp
	  
	  rx/regexec.c some warning cleanup
	  
	  Added test/examples/elinks.cpp as sample of File/list/Regex usage
	  
	  search(), operator bool(), error codes added to Regex
	  Tests for those too...
	  
	  shared.m4; removed '-shared' flag for .cpp files; not needed
	  
	  New MakeSharedLibrary rule; few fixes in rest jam files
	  
	  autogen.sh --compile and --compile-optim options
	  
	  SharedLibraryFromObjects modified to correct create sonames, but
	  I'm not sure it works correctly
	  
	  Added Regex class with tests
	  
	  user_config_dir(), user_data_dir() and user_cache_dir() will, as
	  fallback, return value peeking inside $HOME env, as required from
	  freedesktop.org. Previous version was using '~/' directly which
	  can cause
	  problems with functions that don't understaind shell shortcuts.
	  Now, if
	  dir_home() fails, it will then use '~/'.
	  
	  util.cpp, removed tests for fallbacks in above directories since
	  those
	  depends on $HOME
	  
	  stringtok in MimeType uses list now
	  
	  file_path with list too; also if PATH does not contain anything,
	  it will
	  return empty String
	  
	  dirwatch.cpp return 0 in main()

2007-08-10 13:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ChangeLog, edelib/List.h, edelib/List.h.old, test/list.cpp: New
	  List class which is now much more STL conformant (allowing
	  --end()). Looks like it generates few KB less code. Funny :)
	  Few tests in list.cpp
	  Old list class is retained in List.h.old; in case things went
	  bad.

2007-08-08 16:13  Sanel Zukan <karijes@users.sourceforge.net>

	* .: edelib moved from branches to trunk.

2007-08-08 15:58  Sanel Zukan <karijes@users.sourceforge.net>

	* * Explicit disable list(const list&) and operator=(const list&)
	  * IconChooser uses list now
	  * DirWatch uses list too; since list have private copy ctor,
	  found that
	  some parts of DirWatch would call it anyway (DirWatchEntry),
	  unneededly copying
	  container data; fixed with allocation on heap
	  * dir_list now uses list instead vector

2007-07-30 15:00  Sanel Zukan <karijes@users.sourceforge.net>

	* Updated documentation

2007-07-30 12:08  Sanel Zukan <karijes@users.sourceforge.net>

	* Dumped non-const size() and empty() from List
	  Added const empty() in List

2007-07-30 11:46  Sanel Zukan <karijes@users.sourceforge.net>

	* Do not build unneeded code

2007-07-30 11:45  Sanel Zukan <karijes@users.sourceforge.net>

	* Added const size() in List
	  Added operator bool() in List too
	  List.h now contains own list implementation, altought needs some
	  tests
	  Doxygen tags throught the code updated, due new doxygen version
	  Doxyfile updated too
	  Small replacement, '=' to KV_DELIM in Config
	  List test added
	  EDELIB_NAMESPACE replaced with EDELIB_NS_BEGIN/EDELIB_NS_END all
	  over the code
	  system_data_dirs, system_config_dirs now uses list
	  Replaced vector in IconTheme with list

2007-07-26 17:15  Sanel Zukan <karijes@users.sourceforge.net>

	* Added get_allocated() in Config
	  IconTheme for Directories values now uses get_allocated()

2007-07-25 16:49  Sanel Zukan <karijes@users.sourceforge.net>

	* Fixed strncpy issue when requested size in Config's get() is less
	  than actual since strncpy() does not terminate string
	  Sizes for get() are unsigned int now

2007-07-25 14:35  Sanel Zukan <karijes@users.sourceforge.net>

	* Added few functions for easier traversal.

2007-07-25 12:34  Sanel Zukan <karijes@users.sourceforge.net>

	* Config class is not any more limited with line and value sizes,
	  althought
	  section/key does (can't find any reason why would someone use
	  unlimited sections or keys !).
	  Small fixup with clear() in Config class.
	  Added tests for config_getline() functions, used internally by
	  Config class.
	  Finished remove_entry() in Config.

2007-07-16 18:10  Sanel Zukan <karijes@users.sourceforge.net>

	* ...updated Jamrules too :P

2007-07-16 18:07  Sanel Zukan <karijes@users.sourceforge.net>

	* Forced environ outside edelib namespace
	  Added tests for Vedran's String fix
	  Added some perftests to watch container(s) behaviours on
	  stringtok
	  Correct paths for jam cached data

2007-07-16 07:31  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* Fix operator +(String, char*). Previous solution was wrong
	  because the
	  following construct:
	  String result = String("a")+"b"+String("c")+"d";
	  would produce string "bdac".

2007-07-11 14:43  Sanel Zukan <karijes@users.sourceforge.net>

	* Newer autoconf versions require datarootdir to be present.
	  Jamconfig.in and initjamfile.m4 are modified for that

2007-07-11 14:19  Sanel Zukan <karijes@users.sourceforge.net>

	* tests/mime.cpp, removed output from text/html since in
	  newer versions of mime-types distributions, description is
	  changed

2007-07-02 16:58  Sanel Zukan <karijes@users.sourceforge.net>

	* Looks like freebsd keeps lstat/stat defined else
	  Fixup when dnotify is not detected

2007-07-02 16:38  Sanel Zukan <karijes@users.sourceforge.net>

	* Added DirWatch with example. inotify still not implemented
	  DirWatch can now return what file was changed and how is changed
	  (created,modified,deleted)
	  Added dnotify.m4

2007-06-26 18:07  Sanel Zukan <karijes@users.sourceforge.net>

	* Ups, IconTheme would not add '/icons/' to XDG dirs

2007-06-26 11:58  Sanel Zukan <karijes@users.sourceforge.net>

	* Added SevenSeg widget with sample

2007-06-26 09:29  Sanel Zukan <karijes@users.sourceforge.net>

	* Bumped out Item

2007-06-25 09:18  Sanel Zukan <karijes@users.sourceforge.net>

	* Made DesktopFile inherits Config which is much better than
	  previous version
	  Added file_path; tests too
	  Added DesktopFile for reading .desktop files with tests
	  In tests name strtok->stringtok
	  In Config added set_localized() to match get_localized()
	  ...and tests of course
	  Finished saving part of DesktopFile; needs more tests...

2007-06-15 11:00  Sanel Zukan <karijes@users.sourceforge.net>

	* Added missing fltk colormap

2007-06-15 10:56  Sanel Zukan <karijes@users.sourceforge.net>

	* IconChooser tweaks
	  index.dox update
	  rm design.dox
	  Converting to fltk 1.x initiated... :)
	  ExpandableGroup, IconChooser converted
	  fltk.m4 checks for 1.x
	  color_fltk_to_rgb will corectly split fltk colors too, via reused
	  colorman from fltk distribution
	  estnlen(), estrndup()
	  TODO entry
	  MimeType will return String reference instead a copy
	  xdgmime will return 'inode/directory' for folders
	  MimeType will return for folders name 'folder' (don't ask)
	  icon_name() in MimeType accept only names in form 'type/name'
	  Code style sync
	  Added file_remove(), file_copy(), file_rename(), dir_create(),
	  dir_remove(), dir_rename()
	  Added tests for above functions
	  file_copy() have option to preserve permissions/atime/mtime
	  File::write(const char*) added
	  Basic dir_remove_rec()
	  xdgmime didn't recognized correctly any other types than files
	  (directories, socket,...). Added that.

2007-05-25 17:42  Sanel Zukan <karijes@users.sourceforge.net>

	* Removed debug leftovers

2007-05-25 17:33  Sanel Zukan <karijes@users.sourceforge.net>

	* Added set in Config to accept const char* since it will
	  generate wrong code and redirect to set(...,...,bool) member. Uh!

2007-05-25 16:50  Sanel Zukan <karijes@users.sourceforge.net>

	* Clear prefix from possible ending slashes

2007-05-25 16:43  Sanel Zukan <karijes@users.sourceforge.net>

	* Added few ESTRLOC to IconTheme
	  Values returned from splitted Inherits key (IconTheme) are
	  trimmed which will prevent wrong path construction

2007-05-22 11:29  Sanel Zukan <karijes@users.sourceforge.net>

	* Commented some things removed from fltk

2007-05-22 11:19  Sanel Zukan <karijes@users.sourceforge.net>

	* Image for docs

2007-05-22 11:18  Sanel Zukan <karijes@users.sourceforge.net>

	* Completed ComboBox.
	  Modified comobox example.
	  Added Item.{h,cpp} with test/example/menuitem.cpp
	  Added ESTRLOC as shortand for __FILE__ and __LINE__
	  Updated code for ESTRLOC

2007-05-21 17:38  Sanel Zukan <karijes@users.sourceforge.net>

	* More ComboBox work...

2007-05-21 15:00  Sanel Zukan <karijes@users.sourceforge.net>

	* Added ComboBox.{h,cpp} with test/example/combobox.cpp, althought
	  unfinished yet.

2007-05-11 15:19  Sanel Zukan <karijes@users.sourceforge.net>

	* MimeType functions will do nothing if mime is not correctly
	  loaded. Updated tests.
	  Another TODO entry

2007-05-10 16:07  Sanel Zukan <karijes@users.sourceforge.net>

	* Added icon_name() in MimeType
	  Added tests for MimeType

2007-05-10 12:40  Sanel Zukan <karijes@users.sourceforge.net>

	* Missing...

2007-05-10 12:38  Sanel Zukan <karijes@users.sourceforge.net>

	* Add missing file

2007-05-10 12:17  Sanel Zukan <karijes@users.sourceforge.net>

	* Removed some obsole entries from TODO
	  Added tinyxml classes
	  MimeType class with xdgmime backend; needs more work
	  Finished docs for tinyxml (PITA!)
	  Changed find() functions in String to const

2007-05-08 15:52  Sanel Zukan <karijes@users.sourceforge.net>

	* String allocation checks
	  user_xxx_dir() will now return correct XDG paths; returning paths
	  with '/ede' appended is not conforming

2007-05-08 14:47  Sanel Zukan <karijes@users.sourceforge.net>

	* Almost finished Time class

2007-05-07 17:17  Sanel Zukan <karijes@users.sourceforge.net>

	* Pretty test printing

2007-05-07 16:23  Sanel Zukan <karijes@users.sourceforge.net>

	* Fixed NULL defines :)

2007-05-07 13:38  Sanel Zukan <karijes@users.sourceforge.net>

	* dir_separator() will return const char* (why the hell it was
	  returning String?)
	  Removed entry (dir_separator() == "/") in test/directory.cpp
	  Added build_filename() and build_dirname() functions with tests
	  Added gmtime_r() checks if datetime.m4
	  Date can be set via local date or UTC
	  Added Date class with tests
	  Corrected \brief tag for doxygen in rest of the code
	  Cleaned obsolete modules for doxygen
	  index.dox s/prepare/autohen.sh
	  Fixed flawed docs for stringtok; uh!
	  Assertion will dump stack if apropriate functions are available
	  MakeTest will by default link with '-rdynamic' flag, so stack
	  dump can be corectly shown
	  Config can accept true/false strings as replacement for 1/0
	  Config section lookup is now cached, speeding things considerably

2007-05-04 17:14  Sanel Zukan <karijes@users.sourceforge.net>

	* Added Run.{h,cpp}

2007-05-04 13:56  Sanel Zukan <karijes@users.sourceforge.net>

	* stringtok can work witout delimiter so delimiter is removed from
	  default entry in system_config_dirs()
	  More tests for system_xxx_dirs()

2007-05-04 13:32  Sanel Zukan <karijes@users.sourceforge.net>

	* Added color_fltk_to_rgb and color_fltk_to_html
	  More tests for color functions and ones for above

2007-05-03 13:21  Sanel Zukan <karijes@users.sourceforge.net>

	* Added Color.{h,cpp} with color conversion functions
	  Added tests for color functions, with some tuning inside them
	  Removed declaration inside loop in IconChooser
	  Added fallback in dir_home() via getpwuid_r

2007-04-27 18:40  Sanel Zukan <karijes@users.sourceforge.net>

	* Added system_data_dirs() and system_config_dirs() which
	  represents
	  XDG_DATA_DIRS and XDG_CONFIG_DIRS.

2007-04-27 17:17  Sanel Zukan <karijes@users.sourceforge.net>

	* user_xxx_dir() will not return string ending with dir_separator()

2007-04-27 15:23  Sanel Zukan <karijes@users.sourceforge.net>

	* IconChooser will open dialog even when directory does not exist

2007-04-26 17:37  Sanel Zukan <karijes@users.sourceforge.net>

	* Added scripts for themes handling.

2007-04-26 13:57  Sanel Zukan <karijes@users.sourceforge.net>

	* Added edelib-config.in, which will produce edelib-config.
	  
	  Replaced edelibconf.{h,h.in} with edelib/_conf.{h,h.in}
	  so installed library can correctly find it (it will be in
	  include/edelib/).
	  
	  Added InstallProgram rule to Jamrules.
	  
	  Small fix in Config class for CONFIG_USE_STDIO.
	  
	  Added append(num, char) and operator+=(ch) in String
	  with the tests.
	  
	  dir_list() accepts "." as directory parameter.

2007-04-23 15:46  Sanel Zukan <karijes@users.sourceforge.net>

	* Removed leftovers from playing with the code.

2007-04-23 15:40  Sanel Zukan <karijes@users.sourceforge.net>

	* Added IconTheme with documentation
	  string from libstdc++ dies on assign(NULL) so
	  our String's assign will trigger assertion for that case
	  Recoded Sound so it can be initialized only once during
	  application lifetime
	  Maded data()/substr() in String const, as this is required by
	  Standard
	  Removed assertion from substr since num parameter represents size
	  of returned characters
	  Added CONFIG_USE_STDIO in Config class
	  Increased buffers sizes in Config class so line/values can
	  accepts huge sizes
	  Added stringtok

2007-04-16 15:57  Sanel Zukan <karijes@users.sourceforge.net>

	* Added missing file.

2007-04-16 15:56  Sanel Zukan <karijes@users.sourceforge.net>

	* Added ExpandableGroup
	  Added test/examples/ directory with few samples
	  Added dir_list
	  Fixed flaw in str_ends when test string have only one character
	  More tests for str_ends :P
	  Almost complete icon_chooser
	  Small fix for function module for doxygendocumentation
	  Leek in Config class cleaned
	  A small leek in dir_list too ;)
	  Added get_localized to Config class so locale dependant values
	  can be retreived
	  ExpandableGroup now loads/handles data much faster

2007-04-11 17:23  Sanel Zukan <karijes@users.sourceforge.net>

	* Small fix so genreadme can work on FreeBSD
	  Few TODO entries

2007-04-09 17:21  Sanel Zukan <karijes@users.sourceforge.net>

	* New entries

2007-04-09 17:18  Sanel Zukan <karijes@users.sourceforge.net>

	* Added Sound class

2007-04-09 15:13  Sanel Zukan <karijes@users.sourceforge.net>

	* File is part of edelib :)

2007-04-09 15:12  Sanel Zukan <karijes@users.sourceforge.net>

	* Better tests for sound facility
	  Added tests for libmad

2007-04-09 14:40  Sanel Zukan <karijes@users.sourceforge.net>

	* Added checks for sound support
	  autogen.sh will correctly remove junk created by autoheader

2007-04-09 14:15  Sanel Zukan <karijes@users.sourceforge.net>

	* Added missing directory tests

2007-04-09 14:10  Sanel Zukan <karijes@users.sourceforge.net>

	* Set some properties

2007-04-09 13:58  Sanel Zukan <karijes@users.sourceforge.net>

	* Added missing xlib.m4

2007-04-09 13:56  Sanel Zukan <karijes@users.sourceforge.net>

	* Build script tweaks
	  Removed some warrnings
	  Added XSet class
	  Option --without-x disables X/FLTK dependant code

2007-04-06 15:43  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules now uses generated directory name for doc

2007-04-06 15:33  Sanel Zukan <karijes@users.sourceforge.net>

	* Small tweaks

2007-04-06 10:47  Sanel Zukan <karijes@users.sourceforge.net>

	* Almost done build scripts. For now everything works as expected

2007-04-05 14:28  Sanel Zukan <karijes@users.sourceforge.net>

	* Removed dirname

2007-04-05 14:28  Sanel Zukan <karijes@users.sourceforge.net>

	* Rewritten Jamrules
	  Removed needs for dirname

2007-04-04 15:12  Sanel Zukan <karijes@users.sourceforge.net>

	* s/vsprintf/vsnprintf in Debug.cpp
	  Small attempts toward configure integration
	  Now XDG Base Directory functions return String (with that tests
	  discovered few bugs with previous char-only version :P)
	  Added dir_exists, dir_readable, dir_writeable

2007-04-03 13:54  Sanel Zukan <karijes@users.sourceforge.net>

	* Documented Nls.h
	  Small documentation fixes in other files.

2007-04-02 13:58  Sanel Zukan <karijes@users.sourceforge.net>

	* Added missing Ask.{h,cpp} files

2007-04-02 13:43  Sanel Zukan <karijes@users.sourceforge.net>

	* Can't believe I didn't add this file :)

2007-04-02 13:27  Sanel Zukan <karijes@users.sourceforge.net>

	* String self assignement checks added
	  At last documented String class, but some functions are left
	  undocumented, mostly because of doxygen's stupidity
	  Added support for locales
	  Added Ask.{h,cpp} with .fl data and icons for them
	  Added operator+ to String
	  Added copy ctors for varions operators in String and tests for
	  them

2007-03-29 14:20  Sanel Zukan <karijes@users.sourceforge.net>

	* Removed left playing with Cleandir

2007-03-29 14:13  Sanel Zukan <karijes@users.sourceforge.net>

	* Added substr to String class.

2007-03-28 13:15  Sanel Zukan <karijes@users.sourceforge.net>

	* Added entry.

2007-03-28 13:13  Sanel Zukan <karijes@users.sourceforge.net>

	* Added functions that should return XDG paths, of EDE_XXX their
	  equivalents.
	  Added (althought unfinished) installation rules to Jamrules

2007-03-26 15:21  Sanel Zukan <karijes@users.sourceforge.net>

	* Added copy ctor tests.

2007-03-26 14:33  Sanel Zukan <karijes@users.sourceforge.net>

	* Added String::printf.
	  String::capacity behaviour is now more Standard-like.

2007-03-25 14:15  Sanel Zukan <karijes@users.sourceforge.net>

	* Added str_ends.

2007-03-25 11:45  Sanel Zukan <karijes@users.sourceforge.net>

	* Better String class.
	  Updated tests too.

2007-03-24 13:36  Sanel Zukan <karijes@users.sourceforge.net>

	* See ChangeLog.

2007-03-23 18:20  Sanel Zukan <karijes@users.sourceforge.net>

	* Update entry.

2007-03-23 18:17  Sanel Zukan <karijes@users.sourceforge.net>

	* Added String class.

2007-03-22 16:21  Sanel Zukan <karijes@users.sourceforge.net>

	* Added entry.

2007-03-22 16:20  Sanel Zukan <karijes@users.sourceforge.net>

	* Added new test suite.

2007-01-11 01:15  Sanel Zukan <karijes@users.sourceforge.net>

	* Cleaned and documented Debug.h
	  Small addons to Jamrules
	  File::readline returns EOF if end of stream is reached
	  Added File::printf

2007-01-10 01:10  Sanel Zukan <karijes@users.sourceforge.net>

	* Further Diagnose.h to Debug.h renaming

2007-01-10 01:03  Sanel Zukan <karijes@users.sourceforge.net>

	* Diagnose.cpp -> Debug.cpp

2007-01-10 01:02  Sanel Zukan <karijes@users.sourceforge.net>

	* Diagnose.h -> Debug.h

2007-01-08 02:13  Sanel Zukan <karijes@users.sourceforge.net>

	* Assertions can now be handled via setable handler.

2007-01-05 23:31  Sanel Zukan <karijes@users.sourceforge.net>

	* genreadme is now powered by gawk
	  added missing EDELIB_API to File class

2007-01-04 01:20  Sanel Zukan <karijes@users.sourceforge.net>

	* Finished jam -sSHARED=1 option, so shared library be built.
	  Small work on File class.
	  Generator for README.

2007-01-03 15:54  Sanel Zukan <karijes@users.sourceforge.net>

	* Ah...

2007-01-03 15:53  Sanel Zukan <karijes@users.sourceforge.net>

	* EASSERT ndebug version added.

2007-01-03 15:24  Sanel Zukan <karijes@users.sourceforge.net>

	* A bunch of small changes.
	  File class almost complete.

2006-12-26 18:12  Sanel Zukan <karijes@users.sourceforge.net>

	* Imported new edelib.

